const ionrad_ranges = (
    (1, 2), # H
    missing, # He
    (3, 5), # Li
    (6, 8), # Be
    (9, 11), # B
    (12, 14), # C
    (15, 18), # N
    (19, 23), # O
    (24, 28), # F
    missing, # Ne
    (29, 35), # Na
    (36, 39), # Mg
    (40, 42), # Al
    (43, 44), # Si
    (45, 48), # P
    (49, 52), # S
    (53, 56), # Cl
    missing, # Ar
    (57, 63), # K
    (64, 69), # Ca
    (70, 71), # Sc
    (72, 77), # Ti
    (78, 85), # V
    (86, 95), # Cr
    (96, 110), # Mn
    (111, 122), # Fe
    (123, 131), # Co
    (132, 138), # Ni
    (139, 146), # Cu
    (147, 150), # Zn
    (151, 153), # Ga
    (154, 156), # Ge
    (157, 159), # As
    (160, 163), # Se
    (164, 168), # Br
    missing, # Kr
    (169, 176), # Rb
    (177, 182), # Sr
    (183, 186), # Y
    (187, 192), # Zr
    (193, 199), # Nb
    (200, 207), # Mo
    (208, 211), # Tc
    (212, 216), # Ru
    (217, 219), # Rh
    (220, 224), # Pd
    (225, 235), # Ag
    (236, 241), # Cd
    (242, 244), # In
    (245, 249), # Sn
    (250, 253), # Sb
    (254, 259), # Te
    (260, 264), # I
    (265, 266), # Xe
    (267, 272), # Cs
    (273, 279), # Ba
    (280, 285), # La
    (286, 295), # Ce
    (296, 300), # Pr
    (301, 306), # Nd
    (307, 309), # Pm
    (310, 317), # Sm
    (318, 326), # Eu
    (327, 330), # Gd
    (331, 336), # Tb
    (337, 343), # Dy
    (344, 347), # Ho
    (348, 351), # Er
    (352, 356), # Tm
    (357, 363), # Yb
    (364, 366), # Lu
    (367, 370), # Hf
    (371, 375), # Ta
    (376, 380), # W
    (381, 385), # Re
    (386, 391), # Os
    (392, 394), # Ir
    (395, 398), # Pt
    (399, 402), # Au
    (403, 408), # Hg
    (409, 414), # Tl
    (415, 426), # Pb
    (427, 430), # Bi
    (431, 433), # Po
    (434, 434), # At
    missing, # Rn
    (435, 435), # Fr
    (436, 437), # Ra
    (438, 439), # Ac
    (440, 446), # Th
    (447, 453), # Pa
    (454, 467), # U
    (468, 475), # Np
    (476, 481), # Pu
    (482, 489), # Am
    (490, 493), # Cm
    (494, 497), # Bk
    (498, 501), # Cf
    (502, 502), # Es
    (503, 503), # Fm
    (504, 504), # Md
    (505, 506), # No
    (507, 507), # Lr
    missing, # Rf
    missing, # Db
    missing, # Sg
    missing, # Bh
    missing, # Hs
    missing, # Mt
    missing, # Ds
    missing, # Rg
    missing, # Cn
    missing, # Nh
    missing, # Fl
    missing, # Mc
    missing, # Lv
    missing, # Ts
    missing, # Og
)
const ionrad_data = (;
    charge = [
    1, # H1
    1, # H1
    1, # Li1
    1, # Li1
    1, # Li1
    2, # Be2
    2, # Be2
    2, # Be2
    3, # B3
    3, # B3
    3, # B3
    4, # C4
    4, # C4
    4, # C4
    -3, # N-3
    3, # N3
    5, # N5
    5, # N5
    -2, # O-2
    -2, # O-2
    -2, # O-2
    -2, # O-2
    -2, # O-2
    -1, # F-1
    -1, # F-1
    -1, # F-1
    -1, # F-1
    7, # F7
    1, # Na1
    1, # Na1
    1, # Na1
    1, # Na1
    1, # Na1
    1, # Na1
    1, # Na1
    2, # Mg2
    2, # Mg2
    2, # Mg2
    2, # Mg2
    3, # Al3
    3, # Al3
    3, # Al3
    4, # Si4
    4, # Si4
    3, # P3
    5, # P5
    5, # P5
    5, # P5
    -2, # S-2
    4, # S4
    6, # S6
    6, # S6
    -1, # Cl-1
    5, # Cl5
    7, # Cl7
    7, # Cl7
    1, # K1
    1, # K1
    1, # K1
    1, # K1
    1, # K1
    1, # K1
    1, # K1
    2, # Ca2
    2, # Ca2
    2, # Ca2
    2, # Ca2
    2, # Ca2
    2, # Ca2
    3, # Sc3
    3, # Sc3
    2, # Ti2
    3, # Ti3
    4, # Ti4
    4, # Ti4
    4, # Ti4
    4, # Ti4
    2, # V2
    3, # V3
    4, # V4
    4, # V4
    4, # V4
    5, # V5
    5, # V5
    5, # V5
    2, # Cr2
    2, # Cr2
    3, # Cr3
    4, # Cr4
    4, # Cr4
    5, # Cr5
    5, # Cr5
    5, # Cr5
    6, # Cr6
    6, # Cr6
    2, # Mn2
    2, # Mn2
    2, # Mn2
    2, # Mn2
    2, # Mn2
    2, # Mn2
    3, # Mn3
    3, # Mn3
    3, # Mn3
    4, # Mn4
    4, # Mn4
    5, # Mn5
    6, # Mn6
    7, # Mn7
    7, # Mn7
    2, # Fe2
    2, # Fe2
    2, # Fe2
    2, # Fe2
    2, # Fe2
    3, # Fe3
    3, # Fe3
    3, # Fe3
    3, # Fe3
    3, # Fe3
    4, # Fe4
    6, # Fe6
    2, # Co2
    2, # Co2
    2, # Co2
    2, # Co2
    2, # Co2
    3, # Co3
    3, # Co3
    4, # Co4
    4, # Co4
    2, # Ni2
    2, # Ni2
    2, # Ni2
    2, # Ni2
    3, # Ni3
    3, # Ni3
    4, # Ni4
    1, # Cu1
    1, # Cu1
    1, # Cu1
    2, # Cu2
    2, # Cu2
    2, # Cu2
    2, # Cu2
    3, # Cu3
    2, # Zn2
    2, # Zn2
    2, # Zn2
    2, # Zn2
    3, # Ga3
    3, # Ga3
    3, # Ga3
    2, # Ge2
    4, # Ge4
    4, # Ge4
    3, # As3
    5, # As5
    5, # As5
    -2, # Se-2
    4, # Se4
    6, # Se6
    6, # Se6
    -1, # Br-1
    3, # Br3
    5, # Br5
    7, # Br7
    7, # Br7
    1, # Rb1
    1, # Rb1
    1, # Rb1
    1, # Rb1
    1, # Rb1
    1, # Rb1
    1, # Rb1
    1, # Rb1
    2, # Sr2
    2, # Sr2
    2, # Sr2
    2, # Sr2
    2, # Sr2
    2, # Sr2
    3, # Y3
    3, # Y3
    3, # Y3
    3, # Y3
    4, # Zr4
    4, # Zr4
    4, # Zr4
    4, # Zr4
    4, # Zr4
    4, # Zr4
    3, # Nb3
    4, # Nb4
    4, # Nb4
    5, # Nb5
    5, # Nb5
    5, # Nb5
    5, # Nb5
    3, # Mo3
    4, # Mo4
    5, # Mo5
    5, # Mo5
    6, # Mo6
    6, # Mo6
    6, # Mo6
    6, # Mo6
    4, # Tc4
    5, # Tc5
    7, # Tc7
    7, # Tc7
    3, # Ru3
    4, # Ru4
    5, # Ru5
    7, # Ru7
    8, # Ru8
    3, # Rh3
    4, # Rh4
    5, # Rh5
    1, # Pd1
    2, # Pd2
    2, # Pd2
    3, # Pd3
    4, # Pd4
    1, # Ag1
    1, # Ag1
    1, # Ag1
    1, # Ag1
    1, # Ag1
    1, # Ag1
    1, # Ag1
    2, # Ag2
    2, # Ag2
    3, # Ag3
    3, # Ag3
    2, # Cd2
    2, # Cd2
    2, # Cd2
    2, # Cd2
    2, # Cd2
    2, # Cd2
    3, # In3
    3, # In3
    3, # In3
    4, # Sn4
    4, # Sn4
    4, # Sn4
    4, # Sn4
    4, # Sn4
    3, # Sb3
    3, # Sb3
    3, # Sb3
    5, # Sb5
    -2, # Te-2
    4, # Te4
    4, # Te4
    4, # Te4
    6, # Te6
    6, # Te6
    -1, # I-1
    5, # I5
    5, # I5
    7, # I7
    7, # I7
    8, # Xe8
    8, # Xe8
    1, # Cs1
    1, # Cs1
    1, # Cs1
    1, # Cs1
    1, # Cs1
    1, # Cs1
    2, # Ba2
    2, # Ba2
    2, # Ba2
    2, # Ba2
    2, # Ba2
    2, # Ba2
    2, # Ba2
    3, # La3
    3, # La3
    3, # La3
    3, # La3
    3, # La3
    3, # La3
    3, # Ce3
    3, # Ce3
    3, # Ce3
    3, # Ce3
    3, # Ce3
    3, # Ce3
    4, # Ce4
    4, # Ce4
    4, # Ce4
    4, # Ce4
    3, # Pr3
    3, # Pr3
    3, # Pr3
    4, # Pr4
    4, # Pr4
    2, # Nd2
    2, # Nd2
    3, # Nd3
    3, # Nd3
    3, # Nd3
    3, # Nd3
    3, # Pm3
    3, # Pm3
    3, # Pm3
    2, # Sm2
    2, # Sm2
    2, # Sm2
    3, # Sm3
    3, # Sm3
    3, # Sm3
    3, # Sm3
    3, # Sm3
    2, # Eu2
    2, # Eu2
    2, # Eu2
    2, # Eu2
    2, # Eu2
    3, # Eu3
    3, # Eu3
    3, # Eu3
    3, # Eu3
    3, # Gd3
    3, # Gd3
    3, # Gd3
    3, # Gd3
    3, # Tb3
    3, # Tb3
    3, # Tb3
    3, # Tb3
    4, # Tb4
    4, # Tb4
    2, # Dy2
    2, # Dy2
    2, # Dy2
    3, # Dy3
    3, # Dy3
    3, # Dy3
    3, # Dy3
    3, # Ho3
    3, # Ho3
    3, # Ho3
    3, # Ho3
    3, # Er3
    3, # Er3
    3, # Er3
    3, # Er3
    2, # Tm2
    2, # Tm2
    3, # Tm3
    3, # Tm3
    3, # Tm3
    2, # Yb2
    2, # Yb2
    2, # Yb2
    3, # Yb3
    3, # Yb3
    3, # Yb3
    3, # Yb3
    3, # Lu3
    3, # Lu3
    3, # Lu3
    4, # Hf4
    4, # Hf4
    4, # Hf4
    4, # Hf4
    3, # Ta3
    4, # Ta4
    5, # Ta5
    5, # Ta5
    5, # Ta5
    4, # W4
    5, # W5
    6, # W6
    6, # W6
    6, # W6
    4, # Re4
    5, # Re5
    6, # Re6
    7, # Re7
    7, # Re7
    4, # Os4
    5, # Os5
    6, # Os6
    6, # Os6
    7, # Os7
    8, # Os8
    3, # Ir3
    4, # Ir4
    5, # Ir5
    2, # Pt2
    2, # Pt2
    4, # Pt4
    5, # Pt5
    1, # Au1
    3, # Au3
    3, # Au3
    5, # Au5
    1, # Hg1
    1, # Hg1
    2, # Hg2
    2, # Hg2
    2, # Hg2
    2, # Hg2
    1, # Tl1
    1, # Tl1
    1, # Tl1
    3, # Tl3
    3, # Tl3
    3, # Tl3
    2, # Pb2
    2, # Pb2
    2, # Pb2
    2, # Pb2
    2, # Pb2
    2, # Pb2
    2, # Pb2
    2, # Pb2
    4, # Pb4
    4, # Pb4
    4, # Pb4
    4, # Pb4
    3, # Bi3
    3, # Bi3
    3, # Bi3
    5, # Bi5
    4, # Po4
    4, # Po4
    6, # Po6
    7, # At7
    1, # Fr1
    2, # Ra2
    2, # Ra2
    3, # Ac3
    3, # Ac3
    3, # Th3
    4, # Th4
    4, # Th4
    4, # Th4
    4, # Th4
    4, # Th4
    4, # Th4
    3, # Pa3
    3, # Pa3
    4, # Pa4
    4, # Pa4
    5, # Pa5
    5, # Pa5
    5, # Pa5
    3, # U3
    3, # U3
    4, # U4
    4, # U4
    4, # U4
    4, # U4
    4, # U4
    5, # U5
    5, # U5
    6, # U6
    6, # U6
    6, # U6
    6, # U6
    6, # U6
    2, # Np2
    3, # Np3
    3, # Np3
    4, # Np4
    4, # Np4
    5, # Np5
    6, # Np6
    7, # Np7
    3, # Pu3
    3, # Pu3
    4, # Pu4
    4, # Pu4
    5, # Pu5
    6, # Pu6
    2, # Am2
    2, # Am2
    2, # Am2
    3, # Am3
    3, # Am3
    3, # Am3
    4, # Am4
    4, # Am4
    3, # Cm3
    3, # Cm3
    4, # Cm4
    4, # Cm4
    3, # Bk3
    3, # Bk3
    4, # Bk4
    4, # Bk4
    3, # Cf3
    3, # Cf3
    4, # Cf4
    4, # Cf4
    3, # Es3
    3, # Fm3
    3, # Md3
    2, # No2
    3, # No3
    3, # Lr3
    ],
    coordination = [
    Symbol("I"), # H1
    Symbol("II"), # H1
    Symbol("IV"), # Li1
    Symbol("VI"), # Li1
    Symbol("VIII"), # Li1
    Symbol("III"), # Be2
    Symbol("IV"), # Be2
    Symbol("VI"), # Be2
    Symbol("III"), # B3
    Symbol("IV"), # B3
    Symbol("VI"), # B3
    Symbol("III"), # C4
    Symbol("IV"), # C4
    Symbol("VI"), # C4
    Symbol("IV"), # N-3
    Symbol("VI"), # N3
    Symbol("III"), # N5
    Symbol("VI"), # N5
    Symbol("II"), # O-2
    Symbol("III"), # O-2
    Symbol("IV"), # O-2
    Symbol("VI"), # O-2
    Symbol("VIII"), # O-2
    Symbol("II"), # F-1
    Symbol("III"), # F-1
    Symbol("IV"), # F-1
    Symbol("VI"), # F-1
    Symbol("VI"), # F7
    Symbol("IV"), # Na1
    Symbol("IX"), # Na1
    Symbol("V"), # Na1
    Symbol("VI"), # Na1
    Symbol("VII"), # Na1
    Symbol("VIII"), # Na1
    Symbol("XII"), # Na1
    Symbol("IV"), # Mg2
    Symbol("V"), # Mg2
    Symbol("VI"), # Mg2
    Symbol("VIII"), # Mg2
    Symbol("IV"), # Al3
    Symbol("V"), # Al3
    Symbol("VI"), # Al3
    Symbol("IV"), # Si4
    Symbol("VI"), # Si4
    Symbol("VI"), # P3
    Symbol("IV"), # P5
    Symbol("V"), # P5
    Symbol("VI"), # P5
    Symbol("VI"), # S-2
    Symbol("VI"), # S4
    Symbol("IV"), # S6
    Symbol("VI"), # S6
    Symbol("VI"), # Cl-1
    Symbol("IIIPY"), # Cl5
    Symbol("IV"), # Cl7
    Symbol("VI"), # Cl7
    Symbol("IV"), # K1
    Symbol("IX"), # K1
    Symbol("VI"), # K1
    Symbol("VII"), # K1
    Symbol("VIII"), # K1
    Symbol("X"), # K1
    Symbol("XII"), # K1
    Symbol("IX"), # Ca2
    Symbol("VI"), # Ca2
    Symbol("VII"), # Ca2
    Symbol("VIII"), # Ca2
    Symbol("X"), # Ca2
    Symbol("XII"), # Ca2
    Symbol("VI"), # Sc3
    Symbol("VIII"), # Sc3
    Symbol("VI"), # Ti2
    Symbol("VI"), # Ti3
    Symbol("IV"), # Ti4
    Symbol("V"), # Ti4
    Symbol("VI"), # Ti4
    Symbol("VIII"), # Ti4
    Symbol("VI"), # V2
    Symbol("VI"), # V3
    Symbol("V"), # V4
    Symbol("VI"), # V4
    Symbol("VIII"), # V4
    Symbol("IV"), # V5
    Symbol("V"), # V5
    Symbol("VI"), # V5
    Symbol("VI"), # Cr2
    Symbol("VI"), # Cr2
    Symbol("VI"), # Cr3
    Symbol("IV"), # Cr4
    Symbol("VI"), # Cr4
    Symbol("IV"), # Cr5
    Symbol("VI"), # Cr5
    Symbol("VIII"), # Cr5
    Symbol("IV"), # Cr6
    Symbol("VI"), # Cr6
    Symbol("IV"), # Mn2
    Symbol("V"), # Mn2
    Symbol("VI"), # Mn2
    Symbol("VI"), # Mn2
    Symbol("VII"), # Mn2
    Symbol("VIII"), # Mn2
    Symbol("V"), # Mn3
    Symbol("VI"), # Mn3
    Symbol("VI"), # Mn3
    Symbol("IV"), # Mn4
    Symbol("VI"), # Mn4
    Symbol("IV"), # Mn5
    Symbol("IV"), # Mn6
    Symbol("IV"), # Mn7
    Symbol("VI"), # Mn7
    Symbol("IV"), # Fe2
    Symbol("IVSQ"), # Fe2
    Symbol("VI"), # Fe2
    Symbol("VI"), # Fe2
    Symbol("VIII"), # Fe2
    Symbol("IV"), # Fe3
    Symbol("V"), # Fe3
    Symbol("VI"), # Fe3
    Symbol("VI"), # Fe3
    Symbol("VIII"), # Fe3
    Symbol("VI"), # Fe4
    Symbol("IV"), # Fe6
    Symbol("IV"), # Co2
    Symbol("V"), # Co2
    Symbol("VI"), # Co2
    Symbol("VI"), # Co2
    Symbol("VIII"), # Co2
    Symbol("VI"), # Co3
    Symbol("VI"), # Co3
    Symbol("IV"), # Co4
    Symbol("VI"), # Co4
    Symbol("IV"), # Ni2
    Symbol("IVSQ"), # Ni2
    Symbol("V"), # Ni2
    Symbol("VI"), # Ni2
    Symbol("VI"), # Ni3
    Symbol("VI"), # Ni3
    Symbol("VI"), # Ni4
    Symbol("II"), # Cu1
    Symbol("IV"), # Cu1
    Symbol("VI"), # Cu1
    Symbol("IV"), # Cu2
    Symbol("IVSQ"), # Cu2
    Symbol("V"), # Cu2
    Symbol("VI"), # Cu2
    Symbol("VI"), # Cu3
    Symbol("IV"), # Zn2
    Symbol("V"), # Zn2
    Symbol("VI"), # Zn2
    Symbol("VIII"), # Zn2
    Symbol("IV"), # Ga3
    Symbol("V"), # Ga3
    Symbol("VI"), # Ga3
    Symbol("VI"), # Ge2
    Symbol("IV"), # Ge4
    Symbol("VI"), # Ge4
    Symbol("VI"), # As3
    Symbol("IV"), # As5
    Symbol("VI"), # As5
    Symbol("VI"), # Se-2
    Symbol("VI"), # Se4
    Symbol("IV"), # Se6
    Symbol("VI"), # Se6
    Symbol("VI"), # Br-1
    Symbol("IVSQ"), # Br3
    Symbol("IIIPY"), # Br5
    Symbol("IV"), # Br7
    Symbol("VI"), # Br7
    Symbol("IX"), # Rb1
    Symbol("VI"), # Rb1
    Symbol("VII"), # Rb1
    Symbol("VIII"), # Rb1
    Symbol("X"), # Rb1
    Symbol("XI"), # Rb1
    Symbol("XII"), # Rb1
    Symbol("XIV"), # Rb1
    Symbol("IX"), # Sr2
    Symbol("VI"), # Sr2
    Symbol("VII"), # Sr2
    Symbol("VIII"), # Sr2
    Symbol("X"), # Sr2
    Symbol("XII"), # Sr2
    Symbol("IX"), # Y3
    Symbol("VI"), # Y3
    Symbol("VII"), # Y3
    Symbol("VIII"), # Y3
    Symbol("IV"), # Zr4
    Symbol("IX"), # Zr4
    Symbol("V"), # Zr4
    Symbol("VI"), # Zr4
    Symbol("VII"), # Zr4
    Symbol("VIII"), # Zr4
    Symbol("VI"), # Nb3
    Symbol("VI"), # Nb4
    Symbol("VIII"), # Nb4
    Symbol("IV"), # Nb5
    Symbol("VI"), # Nb5
    Symbol("VII"), # Nb5
    Symbol("VIII"), # Nb5
    Symbol("VI"), # Mo3
    Symbol("VI"), # Mo4
    Symbol("IV"), # Mo5
    Symbol("VI"), # Mo5
    Symbol("IV"), # Mo6
    Symbol("V"), # Mo6
    Symbol("VI"), # Mo6
    Symbol("VII"), # Mo6
    Symbol("VI"), # Tc4
    Symbol("VI"), # Tc5
    Symbol("IV"), # Tc7
    Symbol("VI"), # Tc7
    Symbol("VI"), # Ru3
    Symbol("VI"), # Ru4
    Symbol("VI"), # Ru5
    Symbol("IV"), # Ru7
    Symbol("IV"), # Ru8
    Symbol("VI"), # Rh3
    Symbol("VI"), # Rh4
    Symbol("VI"), # Rh5
    Symbol("II"), # Pd1
    Symbol("IVSQ"), # Pd2
    Symbol("VI"), # Pd2
    Symbol("VI"), # Pd3
    Symbol("VI"), # Pd4
    Symbol("II"), # Ag1
    Symbol("IV"), # Ag1
    Symbol("IVSQ"), # Ag1
    Symbol("V"), # Ag1
    Symbol("VI"), # Ag1
    Symbol("VII"), # Ag1
    Symbol("VIII"), # Ag1
    Symbol("IVSQ"), # Ag2
    Symbol("VI"), # Ag2
    Symbol("IVSQ"), # Ag3
    Symbol("VI"), # Ag3
    Symbol("IV"), # Cd2
    Symbol("V"), # Cd2
    Symbol("VI"), # Cd2
    Symbol("VII"), # Cd2
    Symbol("VIII"), # Cd2
    Symbol("XII"), # Cd2
    Symbol("IV"), # In3
    Symbol("VI"), # In3
    Symbol("VIII"), # In3
    Symbol("IV"), # Sn4
    Symbol("V"), # Sn4
    Symbol("VI"), # Sn4
    Symbol("VII"), # Sn4
    Symbol("VIII"), # Sn4
    Symbol("IVPY"), # Sb3
    Symbol("V"), # Sb3
    Symbol("VI"), # Sb3
    Symbol("VI"), # Sb5
    Symbol("VI"), # Te-2
    Symbol("III"), # Te4
    Symbol("IV"), # Te4
    Symbol("VI"), # Te4
    Symbol("IV"), # Te6
    Symbol("VI"), # Te6
    Symbol("VI"), # I-1
    Symbol("IIIPY"), # I5
    Symbol("VI"), # I5
    Symbol("IV"), # I7
    Symbol("VI"), # I7
    Symbol("IV"), # Xe8
    Symbol("VI"), # Xe8
    Symbol("IX"), # Cs1
    Symbol("VI"), # Cs1
    Symbol("VIII"), # Cs1
    Symbol("X"), # Cs1
    Symbol("XI"), # Cs1
    Symbol("XII"), # Cs1
    Symbol("IX"), # Ba2
    Symbol("VI"), # Ba2
    Symbol("VII"), # Ba2
    Symbol("VIII"), # Ba2
    Symbol("X"), # Ba2
    Symbol("XI"), # Ba2
    Symbol("XII"), # Ba2
    Symbol("IX"), # La3
    Symbol("VI"), # La3
    Symbol("VII"), # La3
    Symbol("VIII"), # La3
    Symbol("X"), # La3
    Symbol("XII"), # La3
    Symbol("IX"), # Ce3
    Symbol("VI"), # Ce3
    Symbol("VII"), # Ce3
    Symbol("VIII"), # Ce3
    Symbol("X"), # Ce3
    Symbol("XII"), # Ce3
    Symbol("VI"), # Ce4
    Symbol("VIII"), # Ce4
    Symbol("X"), # Ce4
    Symbol("XII"), # Ce4
    Symbol("IX"), # Pr3
    Symbol("VI"), # Pr3
    Symbol("VIII"), # Pr3
    Symbol("VI"), # Pr4
    Symbol("VIII"), # Pr4
    Symbol("IX"), # Nd2
    Symbol("VIII"), # Nd2
    Symbol("IX"), # Nd3
    Symbol("VI"), # Nd3
    Symbol("VIII"), # Nd3
    Symbol("XII"), # Nd3
    Symbol("IX"), # Pm3
    Symbol("VI"), # Pm3
    Symbol("VIII"), # Pm3
    Symbol("IX"), # Sm2
    Symbol("VII"), # Sm2
    Symbol("VIII"), # Sm2
    Symbol("IX"), # Sm3
    Symbol("VI"), # Sm3
    Symbol("VII"), # Sm3
    Symbol("VIII"), # Sm3
    Symbol("XII"), # Sm3
    Symbol("IX"), # Eu2
    Symbol("VI"), # Eu2
    Symbol("VII"), # Eu2
    Symbol("VIII"), # Eu2
    Symbol("X"), # Eu2
    Symbol("IX"), # Eu3
    Symbol("VI"), # Eu3
    Symbol("VII"), # Eu3
    Symbol("VIII"), # Eu3
    Symbol("IX"), # Gd3
    Symbol("VI"), # Gd3
    Symbol("VII"), # Gd3
    Symbol("VIII"), # Gd3
    Symbol("IX"), # Tb3
    Symbol("VI"), # Tb3
    Symbol("VII"), # Tb3
    Symbol("VIII"), # Tb3
    Symbol("VI"), # Tb4
    Symbol("VIII"), # Tb4
    Symbol("VI"), # Dy2
    Symbol("VII"), # Dy2
    Symbol("VIII"), # Dy2
    Symbol("IX"), # Dy3
    Symbol("VI"), # Dy3
    Symbol("VII"), # Dy3
    Symbol("VIII"), # Dy3
    Symbol("IX"), # Ho3
    Symbol("VI"), # Ho3
    Symbol("VIII"), # Ho3
    Symbol("X"), # Ho3
    Symbol("IX"), # Er3
    Symbol("VI"), # Er3
    Symbol("VII"), # Er3
    Symbol("VIII"), # Er3
    Symbol("VI"), # Tm2
    Symbol("VII"), # Tm2
    Symbol("IX"), # Tm3
    Symbol("VI"), # Tm3
    Symbol("VIII"), # Tm3
    Symbol("VI"), # Yb2
    Symbol("VII"), # Yb2
    Symbol("VIII"), # Yb2
    Symbol("IX"), # Yb3
    Symbol("VI"), # Yb3
    Symbol("VII"), # Yb3
    Symbol("VIII"), # Yb3
    Symbol("IX"), # Lu3
    Symbol("VI"), # Lu3
    Symbol("VIII"), # Lu3
    Symbol("IV"), # Hf4
    Symbol("VI"), # Hf4
    Symbol("VII"), # Hf4
    Symbol("VIII"), # Hf4
    Symbol("VI"), # Ta3
    Symbol("VI"), # Ta4
    Symbol("VI"), # Ta5
    Symbol("VII"), # Ta5
    Symbol("VIII"), # Ta5
    Symbol("VI"), # W4
    Symbol("VI"), # W5
    Symbol("IV"), # W6
    Symbol("V"), # W6
    Symbol("VI"), # W6
    Symbol("VI"), # Re4
    Symbol("VI"), # Re5
    Symbol("VI"), # Re6
    Symbol("IV"), # Re7
    Symbol("VI"), # Re7
    Symbol("VI"), # Os4
    Symbol("VI"), # Os5
    Symbol("V"), # Os6
    Symbol("VI"), # Os6
    Symbol("VI"), # Os7
    Symbol("IV"), # Os8
    Symbol("VI"), # Ir3
    Symbol("VI"), # Ir4
    Symbol("VI"), # Ir5
    Symbol("IVSQ"), # Pt2
    Symbol("VI"), # Pt2
    Symbol("VI"), # Pt4
    Symbol("VI"), # Pt5
    Symbol("VI"), # Au1
    Symbol("IVSQ"), # Au3
    Symbol("VI"), # Au3
    Symbol("VI"), # Au5
    Symbol("III"), # Hg1
    Symbol("VI"), # Hg1
    Symbol("II"), # Hg2
    Symbol("IV"), # Hg2
    Symbol("VI"), # Hg2
    Symbol("VIII"), # Hg2
    Symbol("VI"), # Tl1
    Symbol("VIII"), # Tl1
    Symbol("XII"), # Tl1
    Symbol("IV"), # Tl3
    Symbol("VI"), # Tl3
    Symbol("VIII"), # Tl3
    Symbol("IVPY"), # Pb2
    Symbol("IX"), # Pb2
    Symbol("VI"), # Pb2
    Symbol("VII"), # Pb2
    Symbol("VIII"), # Pb2
    Symbol("X"), # Pb2
    Symbol("XI"), # Pb2
    Symbol("XII"), # Pb2
    Symbol("IV"), # Pb4
    Symbol("V"), # Pb4
    Symbol("VI"), # Pb4
    Symbol("VIII"), # Pb4
    Symbol("V"), # Bi3
    Symbol("VI"), # Bi3
    Symbol("VIII"), # Bi3
    Symbol("VI"), # Bi5
    Symbol("VI"), # Po4
    Symbol("VIII"), # Po4
    Symbol("VI"), # Po6
    Symbol("VI"), # At7
    Symbol("VI"), # Fr1
    Symbol("VIII"), # Ra2
    Symbol("XII"), # Ra2
    Symbol("IX"), # Ac3
    Symbol("VI"), # Ac3
    Symbol("IX"), # Th3
    Symbol("IX"), # Th4
    Symbol("VI"), # Th4
    Symbol("VIII"), # Th4
    Symbol("X"), # Th4
    Symbol("XI"), # Th4
    Symbol("XII"), # Th4
    Symbol("IX"), # Pa3
    Symbol("VI"), # Pa3
    Symbol("VI"), # Pa4
    Symbol("VIII"), # Pa4
    Symbol("IX"), # Pa5
    Symbol("VI"), # Pa5
    Symbol("VIII"), # Pa5
    Symbol("IX"), # U3
    Symbol("VI"), # U3
    Symbol("IX"), # U4
    Symbol("VI"), # U4
    Symbol("VII"), # U4
    Symbol("VIII"), # U4
    Symbol("XII"), # U4
    Symbol("VI"), # U5
    Symbol("VII"), # U5
    Symbol("II"), # U6
    Symbol("IV"), # U6
    Symbol("VI"), # U6
    Symbol("VII"), # U6
    Symbol("VIII"), # U6
    Symbol("VI"), # Np2
    Symbol("IX"), # Np3
    Symbol("VI"), # Np3
    Symbol("VI"), # Np4
    Symbol("VIII"), # Np4
    Symbol("VI"), # Np5
    Symbol("VI"), # Np6
    Symbol("VI"), # Np7
    Symbol("IX"), # Pu3
    Symbol("VI"), # Pu3
    Symbol("VI"), # Pu4
    Symbol("VIII"), # Pu4
    Symbol("VI"), # Pu5
    Symbol("VI"), # Pu6
    Symbol("IX"), # Am2
    Symbol("VII"), # Am2
    Symbol("VIII"), # Am2
    Symbol("IX"), # Am3
    Symbol("VI"), # Am3
    Symbol("VIII"), # Am3
    Symbol("VI"), # Am4
    Symbol("VIII"), # Am4
    Symbol("IX"), # Cm3
    Symbol("VI"), # Cm3
    Symbol("VI"), # Cm4
    Symbol("VIII"), # Cm4
    Symbol("IX"), # Bk3
    Symbol("VI"), # Bk3
    Symbol("VI"), # Bk4
    Symbol("VIII"), # Bk4
    Symbol("IX"), # Cf3
    Symbol("VI"), # Cf3
    Symbol("VI"), # Cf4
    Symbol("VIII"), # Cf4
    Symbol("IX"), # Es3
    Symbol("IX"), # Fm3
    Symbol("IX"), # Md3
    Symbol("VI"), # No2
    Symbol("IX"), # No3
    Symbol("IX"), # Lr3
    ],
    crystal_radius = [
    -24.0, # H1
    -4.0, # H1
    73.0, # Li1
    90.0, # Li1
    106.0, # Li1
    30.0, # Be2
    41.0, # Be2
    59.0, # Be2
    15.0, # B3
    25.0, # B3
    41.0, # B3
    6.0, # C4
    29.0, # C4
    30.0, # C4
    132.0, # N-3
    30.0, # N3
    4.4, # N5
    27.0, # N5
    121.0, # O-2
    122.0, # O-2
    124.0, # O-2
    126.0, # O-2
    128.0, # O-2
    114.5, # F-1
    116.0, # F-1
    117.0, # F-1
    119.0, # F-1
    22.0, # F7
    113.0, # Na1
    138.0, # Na1
    114.0, # Na1
    116.0, # Na1
    126.0, # Na1
    132.0, # Na1
    153.0, # Na1
    71.0, # Mg2
    80.0, # Mg2
    86.0, # Mg2
    103.0, # Mg2
    53.0, # Al3
    62.0, # Al3
    67.5, # Al3
    40.0, # Si4
    54.0, # Si4
    58.0, # P3
    31.0, # P5
    43.0, # P5
    52.0, # P5
    170.0, # S-2
    51.0, # S4
    26.0, # S6
    43.0, # S6
    167.0, # Cl-1
    26.0, # Cl5
    22.0, # Cl7
    41.0, # Cl7
    151.0, # K1
    169.0, # K1
    152.0, # K1
    160.0, # K1
    165.0, # K1
    173.0, # K1
    178.0, # K1
    132.0, # Ca2
    114.0, # Ca2
    120.0, # Ca2
    126.0, # Ca2
    137.0, # Ca2
    148.0, # Ca2
    88.5, # Sc3
    101.0, # Sc3
    100.0, # Ti2
    81.0, # Ti3
    56.0, # Ti4
    65.0, # Ti4
    74.5, # Ti4
    88.0, # Ti4
    93.0, # V2
    78.0, # V3
    67.0, # V4
    72.0, # V4
    86.0, # V4
    49.5, # V5
    60.0, # V5
    68.0, # V5
    87.0, # Cr2
    94.0, # Cr2
    75.5, # Cr3
    55.0, # Cr4
    69.0, # Cr4
    48.5, # Cr5
    63.0, # Cr5
    71.0, # Cr5
    40.0, # Cr6
    58.0, # Cr6
    80.0, # Mn2
    89.0, # Mn2
    81.0, # Mn2
    97.0, # Mn2
    104.0, # Mn2
    110.0, # Mn2
    72.0, # Mn3
    72.0, # Mn3
    78.5, # Mn3
    53.0, # Mn4
    67.0, # Mn4
    47.0, # Mn5
    39.5, # Mn6
    39.0, # Mn7
    60.0, # Mn7
    77.0, # Fe2
    78.0, # Fe2
    75.0, # Fe2
    92.0, # Fe2
    106.0, # Fe2
    63.0, # Fe3
    72.0, # Fe3
    69.0, # Fe3
    78.5, # Fe3
    92.0, # Fe3
    72.5, # Fe4
    39.0, # Fe6
    72.0, # Co2
    81.0, # Co2
    79.0, # Co2
    88.5, # Co2
    104.0, # Co2
    68.5, # Co3
    75.0, # Co3
    54.0, # Co4
    67.0, # Co4
    69.0, # Ni2
    63.0, # Ni2
    77.0, # Ni2
    83.0, # Ni2
    70.0, # Ni3
    74.0, # Ni3
    62.0, # Ni4
    60.0, # Cu1
    74.0, # Cu1
    91.0, # Cu1
    71.0, # Cu2
    71.0, # Cu2
    79.0, # Cu2
    87.0, # Cu2
    60.0, # Cu3
    74.0, # Zn2
    82.0, # Zn2
    88.0, # Zn2
    104.0, # Zn2
    61.0, # Ga3
    69.0, # Ga3
    76.0, # Ga3
    87.0, # Ge2
    53.0, # Ge4
    67.0, # Ge4
    72.0, # As3
    47.5, # As5
    60.0, # As5
    184.0, # Se-2
    64.0, # Se4
    42.0, # Se6
    56.0, # Se6
    182.0, # Br-1
    73.0, # Br3
    45.0, # Br5
    39.0, # Br7
    53.0, # Br7
    177.0, # Rb1
    166.0, # Rb1
    170.0, # Rb1
    175.0, # Rb1
    180.0, # Rb1
    183.0, # Rb1
    186.0, # Rb1
    197.0, # Rb1
    145.0, # Sr2
    132.0, # Sr2
    135.0, # Sr2
    140.0, # Sr2
    150.0, # Sr2
    158.0, # Sr2
    121.5, # Y3
    104.0, # Y3
    110.0, # Y3
    115.9, # Y3
    73.0, # Zr4
    103.0, # Zr4
    80.0, # Zr4
    86.0, # Zr4
    92.0, # Zr4
    98.0, # Zr4
    86.0, # Nb3
    82.0, # Nb4
    93.0, # Nb4
    62.0, # Nb5
    78.0, # Nb5
    83.0, # Nb5
    88.0, # Nb5
    83.0, # Mo3
    79.0, # Mo4
    60.0, # Mo5
    75.0, # Mo5
    55.0, # Mo6
    64.0, # Mo6
    73.0, # Mo6
    87.0, # Mo6
    78.5, # Tc4
    74.0, # Tc5
    51.0, # Tc7
    70.0, # Tc7
    82.0, # Ru3
    76.0, # Ru4
    70.5, # Ru5
    52.0, # Ru7
    50.0, # Ru8
    80.5, # Rh3
    74.0, # Rh4
    69.0, # Rh5
    73.0, # Pd1
    78.0, # Pd2
    100.0, # Pd2
    90.0, # Pd3
    75.5, # Pd4
    81.0, # Ag1
    114.0, # Ag1
    116.0, # Ag1
    123.0, # Ag1
    129.0, # Ag1
    136.0, # Ag1
    142.0, # Ag1
    93.0, # Ag2
    108.0, # Ag2
    81.0, # Ag3
    89.0, # Ag3
    92.0, # Cd2
    101.0, # Cd2
    109.0, # Cd2
    117.0, # Cd2
    124.0, # Cd2
    145.0, # Cd2
    76.0, # In3
    94.0, # In3
    106.0, # In3
    69.0, # Sn4
    76.0, # Sn4
    83.0, # Sn4
    89.0, # Sn4
    95.0, # Sn4
    90.0, # Sb3
    94.0, # Sb3
    90.0, # Sb3
    74.0, # Sb5
    207.0, # Te-2
    66.0, # Te4
    80.0, # Te4
    111.0, # Te4
    57.0, # Te6
    70.0, # Te6
    206.0, # I-1
    58.0, # I5
    109.0, # I5
    56.0, # I7
    67.0, # I7
    54.0, # Xe8
    62.0, # Xe8
    192.0, # Cs1
    181.0, # Cs1
    188.0, # Cs1
    195.0, # Cs1
    199.0, # Cs1
    202.0, # Cs1
    161.0, # Ba2
    149.0, # Ba2
    152.0, # Ba2
    156.0, # Ba2
    166.0, # Ba2
    171.0, # Ba2
    175.0, # Ba2
    135.6, # La3
    117.2, # La3
    124.0, # La3
    130.0, # La3
    141.0, # La3
    150.0, # La3
    133.6, # Ce3
    115.0, # Ce3
    121.0, # Ce3
    128.3, # Ce3
    139.0, # Ce3
    148.0, # Ce3
    101.0, # Ce4
    111.0, # Ce4
    121.0, # Ce4
    128.0, # Ce4
    131.9, # Pr3
    113.0, # Pr3
    126.6, # Pr3
    99.0, # Pr4
    110.0, # Pr4
    149.0, # Nd2
    143.0, # Nd2
    130.3, # Nd3
    112.3, # Nd3
    124.9, # Nd3
    141.0, # Nd3
    128.4, # Pm3
    111.0, # Pm3
    123.3, # Pm3
    146.0, # Sm2
    136.0, # Sm2
    141.0, # Sm2
    127.2, # Sm3
    109.8, # Sm3
    116.0, # Sm3
    121.9, # Sm3
    138.0, # Sm3
    144.0, # Eu2
    131.0, # Eu2
    134.0, # Eu2
    139.0, # Eu2
    149.0, # Eu2
    126.0, # Eu3
    108.7, # Eu3
    115.0, # Eu3
    120.6, # Eu3
    124.7, # Gd3
    107.8, # Gd3
    114.0, # Gd3
    119.3, # Gd3
    123.5, # Tb3
    106.3, # Tb3
    112.0, # Tb3
    118.0, # Tb3
    90.0, # Tb4
    102.0, # Tb4
    121.0, # Dy2
    127.0, # Dy2
    133.0, # Dy2
    122.3, # Dy3
    105.2, # Dy3
    111.0, # Dy3
    116.7, # Dy3
    121.2, # Ho3
    104.1, # Ho3
    115.5, # Ho3
    126.0, # Ho3
    120.2, # Er3
    103.0, # Er3
    108.5, # Er3
    114.4, # Er3
    117.0, # Tm2
    123.0, # Tm2
    119.2, # Tm3
    102.0, # Tm3
    113.4, # Tm3
    116.0, # Yb2
    122.0, # Yb2
    128.0, # Yb2
    118.2, # Yb3
    100.8, # Yb3
    106.5, # Yb3
    112.5, # Yb3
    117.2, # Lu3
    100.1, # Lu3
    111.7, # Lu3
    72.0, # Hf4
    85.0, # Hf4
    90.0, # Hf4
    97.0, # Hf4
    86.0, # Ta3
    82.0, # Ta4
    78.0, # Ta5
    83.0, # Ta5
    88.0, # Ta5
    80.0, # W4
    76.0, # W5
    56.0, # W6
    65.0, # W6
    74.0, # W6
    77.0, # Re4
    72.0, # Re5
    69.0, # Re6
    52.0, # Re7
    67.0, # Re7
    77.0, # Os4
    71.5, # Os5
    63.0, # Os6
    68.5, # Os6
    66.5, # Os7
    53.0, # Os8
    82.0, # Ir3
    76.5, # Ir4
    71.0, # Ir5
    74.0, # Pt2
    94.0, # Pt2
    76.5, # Pt4
    71.0, # Pt5
    151.0, # Au1
    82.0, # Au3
    99.0, # Au3
    71.0, # Au5
    111.0, # Hg1
    133.0, # Hg1
    83.0, # Hg2
    110.0, # Hg2
    116.0, # Hg2
    128.0, # Hg2
    164.0, # Tl1
    173.0, # Tl1
    184.0, # Tl1
    89.0, # Tl3
    102.5, # Tl3
    112.0, # Tl3
    112.0, # Pb2
    149.0, # Pb2
    133.0, # Pb2
    137.0, # Pb2
    143.0, # Pb2
    154.0, # Pb2
    159.0, # Pb2
    163.0, # Pb2
    79.0, # Pb4
    87.0, # Pb4
    91.5, # Pb4
    108.0, # Pb4
    110.0, # Bi3
    117.0, # Bi3
    131.0, # Bi3
    90.0, # Bi5
    108.0, # Po4
    122.0, # Po4
    81.0, # Po6
    76.0, # At7
    194.0, # Fr1
    162.0, # Ra2
    184.0, # Ra2
    136.0, # Ac3
    126.0, # Ac3
    134.9, # Th3
    123.0, # Th4
    108.0, # Th4
    119.0, # Th4
    127.0, # Th4
    132.0, # Th4
    135.0, # Th4
    133.9, # Pa3
    118.0, # Pa3
    104.0, # Pa4
    115.0, # Pa4
    109.0, # Pa5
    92.0, # Pa5
    105.0, # Pa5
    132.9, # U3
    116.5, # U3
    119.0, # U4
    103.0, # U4
    109.0, # U4
    114.0, # U4
    131.0, # U4
    90.0, # U5
    98.0, # U5
    59.0, # U6
    66.0, # U6
    87.0, # U6
    95.0, # U6
    100.0, # U6
    124.0, # Np2
    131.8, # Np3
    115.0, # Np3
    101.0, # Np4
    112.0, # Np4
    89.0, # Np5
    86.0, # Np6
    85.0, # Np7
    130.8, # Pu3
    114.0, # Pu3
    100.0, # Pu4
    110.0, # Pu4
    88.0, # Pu5
    85.0, # Pu6
    145.0, # Am2
    135.0, # Am2
    140.0, # Am2
    129.7, # Am3
    111.5, # Am3
    123.0, # Am3
    99.0, # Am4
    109.0, # Am4
    128.7, # Cm3
    111.0, # Cm3
    99.0, # Cm4
    109.0, # Cm4
    127.7, # Bk3
    110.0, # Bk3
    97.0, # Bk4
    107.0, # Bk4
    126.6, # Cf3
    109.0, # Cf3
    96.1, # Cf4
    106.0, # Cf4
    125.6, # Es3
    124.5, # Fm3
    123.5, # Md3
    124.0, # No2
    122.5, # No3
    121.4, # Lr3
    ],
    econf = [
    "1s0", # H1
    "1s0", # H1
    "1s2", # Li1
    "1s2", # Li1
    "1s2", # Li1
    "1s2", # Be2
    "1s2", # Be2
    "1s2", # Be2
    "1s2", # B3
    "1s2", # B3
    "1s2", # B3
    "1s2", # C4
    "1s2", # C4
    "1s2", # C4
    "2p6", # N-3
    "2s2", # N3
    "1s2", # N5
    "1s2", # N5
    "2p6", # O-2
    "2p6", # O-2
    "2p6", # O-2
    "2p6", # O-2
    "2p6", # O-2
    "2p6", # F-1
    "2p6", # F-1
    "2p6", # F-1
    "2p6", # F-1
    "1s2", # F7
    "2p6", # Na1
    "2p6", # Na1
    "2p6", # Na1
    "2p6", # Na1
    "2p6", # Na1
    "2p6", # Na1
    "2p6", # Na1
    "2p6", # Mg2
    "2p6", # Mg2
    "2p6", # Mg2
    "2p6", # Mg2
    "2p6", # Al3
    "2p6", # Al3
    "2p6", # Al3
    "2p6", # Si4
    "2p6", # Si4
    "3s2", # P3
    "2p6", # P5
    "2p6", # P5
    "2p6", # P5
    "3p6", # S-2
    "3s2", # S4
    "2p6", # S6
    "2p6", # S6
    "3p6", # Cl-1
    "3s2", # Cl5
    "2p6", # Cl7
    "2p6", # Cl7
    "3p6", # K1
    "3p6", # K1
    "3p6", # K1
    "3p6", # K1
    "3p6", # K1
    "3p6", # K1
    "3p6", # K1
    "3p6", # Ca2
    "3p6", # Ca2
    "3p6", # Ca2
    "3p6", # Ca2
    "3p6", # Ca2
    "3p6", # Ca2
    "3p6", # Sc3
    "3p6", # Sc3
    "3d2", # Ti2
    "3d1", # Ti3
    "3p6", # Ti4
    "3p6", # Ti4
    "3p6", # Ti4
    "3p6", # Ti4
    "3d3", # V2
    "3d2", # V3
    "3d1", # V4
    "3d1", # V4
    "3d1", # V4
    "3p6", # V5
    "3p6", # V5
    "3p6", # V5
    "3d4", # Cr2
    "3d4", # Cr2
    "3d3", # Cr3
    "3d2", # Cr4
    "3d2", # Cr4
    "3d1", # Cr5
    "3d1", # Cr5
    "3d1", # Cr5
    "3p6", # Cr6
    "3p6", # Cr6
    "3d5", # Mn2
    "3d5", # Mn2
    "3d5", # Mn2
    "3d5", # Mn2
    "3d5", # Mn2
    "3d5", # Mn2
    "3d4", # Mn3
    "3d4", # Mn3
    "3d4", # Mn3
    "3d3", # Mn4
    "3d3", # Mn4
    "3d2", # Mn5
    "3d1", # Mn6
    "3p6", # Mn7
    "3p6", # Mn7
    "3d6", # Fe2
    "3d6", # Fe2
    "3d6", # Fe2
    "3d6", # Fe2
    "3d6", # Fe2
    "3d5", # Fe3
    "3d5", # Fe3
    "3d5", # Fe3
    "3d5", # Fe3
    "3d5", # Fe3
    "3d4", # Fe4
    "3d2", # Fe6
    "3d7", # Co2
    "3d7", # Co2
    "3d7", # Co2
    "3d7", # Co2
    "3d7", # Co2
    "3d6", # Co3
    "3d6", # Co3
    "3d5", # Co4
    "3d5", # Co4
    "3d8", # Ni2
    "3d8", # Ni2
    "3d8", # Ni2
    "3d8", # Ni2
    "3d7", # Ni3
    "3d7", # Ni3
    "3d6", # Ni4
    "3d10", # Cu1
    "3d10", # Cu1
    "3d10", # Cu1
    "3d9", # Cu2
    "3d9", # Cu2
    "3d9", # Cu2
    "3d9", # Cu2
    "3d8", # Cu3
    "3d10", # Zn2
    "3d10", # Zn2
    "3d10", # Zn2
    "3d10", # Zn2
    "3d10", # Ga3
    "3d10", # Ga3
    "3d10", # Ga3
    "4s2", # Ge2
    "3d10", # Ge4
    "3d10", # Ge4
    "4s2", # As3
    "3d10", # As5
    "3d10", # As5
    "4p6", # Se-2
    "4s2", # Se4
    "3d10", # Se6
    "3d10", # Se6
    "4p6", # Br-1
    "4p2", # Br3
    "4s2", # Br5
    "3d10", # Br7
    "3d10", # Br7
    "4p6", # Rb1
    "4p6", # Rb1
    "4p6", # Rb1
    "4p6", # Rb1
    "4p6", # Rb1
    "4p6", # Rb1
    "4p6", # Rb1
    "4p6", # Rb1
    "4p6", # Sr2
    "4p6", # Sr2
    "4p6", # Sr2
    "4p6", # Sr2
    "4p6", # Sr2
    "4p6", # Sr2
    "4p6", # Y3
    "4p6", # Y3
    "4p6", # Y3
    "4p6", # Y3
    "4p6", # Zr4
    "4p6", # Zr4
    "4p6", # Zr4
    "4p6", # Zr4
    "4p6", # Zr4
    "4p6", # Zr4
    "4d2", # Nb3
    "4d1", # Nb4
    "4d1", # Nb4
    "4p6", # Nb5
    "4p6", # Nb5
    "4p6", # Nb5
    "4p6", # Nb5
    "4d3", # Mo3
    "4d2", # Mo4
    "4d1", # Mo5
    "4d1", # Mo5
    "4p6", # Mo6
    "4p6", # Mo6
    "4p6", # Mo6
    "4p6", # Mo6
    "4d3", # Tc4
    "4d2", # Tc5
    "4p6", # Tc7
    "4p6", # Tc7
    "4d5", # Ru3
    "4d4", # Ru4
    "4d3", # Ru5
    "4d1", # Ru7
    "4p6", # Ru8
    "4d6", # Rh3
    "4d5", # Rh4
    "4d4", # Rh5
    "4d9", # Pd1
    "4d8", # Pd2
    "4d8", # Pd2
    "4d7", # Pd3
    "4d6", # Pd4
    "4d10", # Ag1
    "4d10", # Ag1
    "4d10", # Ag1
    "4d10", # Ag1
    "4d10", # Ag1
    "4d10", # Ag1
    "4d10", # Ag1
    "4d9", # Ag2
    "4d9", # Ag2
    "4d8", # Ag3
    "4d8", # Ag3
    "4d10", # Cd2
    "4d10", # Cd2
    "4d10", # Cd2
    "4d10", # Cd2
    "4d10", # Cd2
    "4d10", # Cd2
    "4d10", # In3
    "4d10", # In3
    "4d10", # In3
    "4d10", # Sn4
    "4d10", # Sn4
    "4d10", # Sn4
    "4d10", # Sn4
    "4d10", # Sn4
    "5s2", # Sb3
    "5s2", # Sb3
    "5s2", # Sb3
    "4d10", # Sb5
    "5p6", # Te-2
    "5s2", # Te4
    "5s2", # Te4
    "5s2", # Te4
    "4d10", # Te6
    "4d10", # Te6
    "5p6", # I-1
    "5s2", # I5
    "5s2", # I5
    "4d10", # I7
    "4d10", # I7
    "4d10", # Xe8
    "4d10", # Xe8
    "5p6", # Cs1
    "5p6", # Cs1
    "5p6", # Cs1
    "5p6", # Cs1
    "5p6", # Cs1
    "5p6", # Cs1
    "5p6", # Ba2
    "5p6", # Ba2
    "5p6", # Ba2
    "5p6", # Ba2
    "5p6", # Ba2
    "5p6", # Ba2
    "5p6", # Ba2
    "4d10", # La3
    "4d10", # La3
    "4d10", # La3
    "4d10", # La3
    "4d10", # La3
    "4d10", # La3
    "6s1", # Ce3
    "6s1", # Ce3
    "6s1", # Ce3
    "6s1", # Ce3
    "6s1", # Ce3
    "6s1", # Ce3
    "5p6", # Ce4
    "5p6", # Ce4
    "5p6", # Ce4
    "5p6", # Ce4
    "4f2", # Pr3
    "4f2", # Pr3
    "4f2", # Pr3
    "4f1", # Pr4
    "4f1", # Pr4
    "4f4", # Nd2
    "4f4", # Nd2
    "4f3", # Nd3
    "4f3", # Nd3
    "4f3", # Nd3
    "4f3", # Nd3
    "4f4", # Pm3
    "4f4", # Pm3
    "4f4", # Pm3
    "4f6", # Sm2
    "4f6", # Sm2
    "4f6", # Sm2
    "4f5", # Sm3
    "4f5", # Sm3
    "4f5", # Sm3
    "4f5", # Sm3
    "4f5", # Sm3
    "4f7", # Eu2
    "4f7", # Eu2
    "4f7", # Eu2
    "4f7", # Eu2
    "4f7", # Eu2
    "4f6", # Eu3
    "4f6", # Eu3
    "4f6", # Eu3
    "4f6", # Eu3
    "4f7", # Gd3
    "4f7", # Gd3
    "4f7", # Gd3
    "4f7", # Gd3
    "4f8", # Tb3
    "4f8", # Tb3
    "4f8", # Tb3
    "4f8", # Tb3
    "4f7", # Tb4
    "4f7", # Tb4
    "4f10", # Dy2
    "4f10", # Dy2
    "4f10", # Dy2
    "4f9", # Dy3
    "4f9", # Dy3
    "4f9", # Dy3
    "4f9", # Dy3
    "4f10", # Ho3
    "4f10", # Ho3
    "4f10", # Ho3
    "4f10", # Ho3
    "4f11", # Er3
    "4f11", # Er3
    "4f11", # Er3
    "4f11", # Er3
    "4f13", # Tm2
    "4f13", # Tm2
    "4f12", # Tm3
    "4f12", # Tm3
    "4f12", # Tm3
    "4f14", # Yb2
    "4f14", # Yb2
    "4f14", # Yb2
    "4f13", # Yb3
    "4f13", # Yb3
    "4f13", # Yb3
    "4f13", # Yb3
    "4f14", # Lu3
    "4f14", # Lu3
    "4f14", # Lu3
    "4f14", # Hf4
    "4f14", # Hf4
    "4f14", # Hf4
    "4f14", # Hf4
    "5d2", # Ta3
    "5d1", # Ta4
    "5p6", # Ta5
    "5p6", # Ta5
    "5p6", # Ta5
    "5d2", # W4
    "5d1", # W5
    "5p6", # W6
    "5p6", # W6
    "5p6", # W6
    "5d3", # Re4
    "5d2", # Re5
    "5d1", # Re6
    "5p6", # Re7
    "5p6", # Re7
    "5d4", # Os4
    "5d3", # Os5
    "5d2", # Os6
    "5d2", # Os6
    "5d1", # Os7
    "5p6", # Os8
    "5d6", # Ir3
    "5d5", # Ir4
    "5d4", # Ir5
    "5d8", # Pt2
    "5d8", # Pt2
    "5d6", # Pt4
    "5d5", # Pt5
    "5d10", # Au1
    "5d8", # Au3
    "5d8", # Au3
    "5d6", # Au5
    "6s1", # Hg1
    "6s1", # Hg1
    "5d10", # Hg2
    "5d10", # Hg2
    "5d10", # Hg2
    "5d10", # Hg2
    "6s2", # Tl1
    "6s2", # Tl1
    "6s2", # Tl1
    "5d10", # Tl3
    "5d10", # Tl3
    "5d10", # Tl3
    "6s2", # Pb2
    "6s2", # Pb2
    "6s2", # Pb2
    "6s2", # Pb2
    "6s2", # Pb2
    "6s2", # Pb2
    "6s2", # Pb2
    "6s2", # Pb2
    "5d10", # Pb4
    "5d10", # Pb4
    "5d10", # Pb4
    "5d10", # Pb4
    "6s2", # Bi3
    "6s2", # Bi3
    "6s2", # Bi3
    "5d10", # Bi5
    "6s2", # Po4
    "6s2", # Po4
    "5d10", # Po6
    "5d10", # At7
    "6p6", # Fr1
    "6p6", # Ra2
    "6p6", # Ra2
    missing, # Ac3
    "6p6", # Ac3
    missing, # Th3
    "6p6", # Th4
    "6p6", # Th4
    "6p6", # Th4
    "6p6", # Th4
    "6p6", # Th4
    "6p6", # Th4
    missing, # Pa3
    "5f2", # Pa3
    "6d1", # Pa4
    "6d1", # Pa4
    "6p6", # Pa5
    "6p6", # Pa5
    "6p6", # Pa5
    missing, # U3
    "5f3", # U3
    "5f2", # U4
    "5f2", # U4
    "5f2", # U4
    "5f2", # U4
    "5f2", # U4
    "5f1", # U5
    "5f1", # U5
    "6p6", # U6
    "6p6", # U6
    "6p6", # U6
    "6p6", # U6
    "6p6", # U6
    "5f5", # Np2
    missing, # Np3
    "5f4", # Np3
    "5f3", # Np4
    "5f3", # Np4
    "5f2", # Np5
    "5f1", # Np6
    "6p6", # Np7
    missing, # Pu3
    "5f5", # Pu3
    "5f4", # Pu4
    "5f4", # Pu4
    "5f3", # Pu5
    "5f2", # Pu6
    "5f7", # Am2
    "5f7", # Am2
    "5f7", # Am2
    missing, # Am3
    "5f6", # Am3
    "5f6", # Am3
    "5f5", # Am4
    "5f5", # Am4
    missing, # Cm3
    "5f7", # Cm3
    "5f6", # Cm4
    "5f6", # Cm4
    missing, # Bk3
    "5f8", # Bk3
    "5f7", # Bk4
    "5f7", # Bk4
    missing, # Cf3
    "6d1", # Cf3
    "5f8", # Cf4
    "5f8", # Cf4
    missing, # Es3
    missing, # Fm3
    missing, # Md3
    "5f14", # No2
    missing, # No3
    missing, # Lr3
    ],
    ionic_radius = [
    -38.0, # H1
    -18.0, # H1
    59.0, # Li1
    76.0, # Li1
    92.0, # Li1
    16.0, # Be2
    27.0, # Be2
    45.0, # Be2
    1.0, # B3
    11.0, # B3
    27.0, # B3
    -8.0, # C4
    15.0, # C4
    16.0, # C4
    146.0, # N-3
    16.0, # N3
    -10.4, # N5
    13.0, # N5
    135.0, # O-2
    136.0, # O-2
    138.0, # O-2
    140.0, # O-2
    142.0, # O-2
    128.5, # F-1
    130.0, # F-1
    131.0, # F-1
    133.0, # F-1
    8.0, # F7
    99.0, # Na1
    124.0, # Na1
    100.0, # Na1
    102.0, # Na1
    112.0, # Na1
    118.0, # Na1
    139.0, # Na1
    57.0, # Mg2
    66.0, # Mg2
    72.0, # Mg2
    89.0, # Mg2
    39.0, # Al3
    48.0, # Al3
    53.5, # Al3
    26.0, # Si4
    40.0, # Si4
    44.0, # P3
    17.0, # P5
    29.0, # P5
    38.0, # P5
    184.0, # S-2
    37.0, # S4
    12.0, # S6
    29.0, # S6
    181.0, # Cl-1
    12.0, # Cl5
    8.0, # Cl7
    27.0, # Cl7
    137.0, # K1
    155.0, # K1
    138.0, # K1
    146.0, # K1
    151.0, # K1
    159.0, # K1
    164.0, # K1
    118.0, # Ca2
    100.0, # Ca2
    106.0, # Ca2
    112.0, # Ca2
    123.0, # Ca2
    134.0, # Ca2
    74.5, # Sc3
    87.0, # Sc3
    86.0, # Ti2
    67.0, # Ti3
    42.0, # Ti4
    51.0, # Ti4
    60.5, # Ti4
    74.0, # Ti4
    79.0, # V2
    64.0, # V3
    53.0, # V4
    58.0, # V4
    72.0, # V4
    35.5, # V5
    46.0, # V5
    54.0, # V5
    73.0, # Cr2
    80.0, # Cr2
    61.5, # Cr3
    41.0, # Cr4
    55.0, # Cr4
    34.5, # Cr5
    49.0, # Cr5
    57.0, # Cr5
    26.0, # Cr6
    44.0, # Cr6
    66.0, # Mn2
    75.0, # Mn2
    67.0, # Mn2
    83.0, # Mn2
    90.0, # Mn2
    96.0, # Mn2
    58.0, # Mn3
    58.0, # Mn3
    64.5, # Mn3
    39.0, # Mn4
    53.0, # Mn4
    33.0, # Mn5
    25.5, # Mn6
    25.0, # Mn7
    46.0, # Mn7
    63.0, # Fe2
    64.0, # Fe2
    61.0, # Fe2
    78.0, # Fe2
    92.0, # Fe2
    49.0, # Fe3
    58.0, # Fe3
    55.0, # Fe3
    64.5, # Fe3
    78.0, # Fe3
    58.5, # Fe4
    25.0, # Fe6
    58.0, # Co2
    67.0, # Co2
    65.0, # Co2
    74.5, # Co2
    90.0, # Co2
    54.5, # Co3
    61.0, # Co3
    40.0, # Co4
    53.0, # Co4
    55.0, # Ni2
    49.0, # Ni2
    63.0, # Ni2
    69.0, # Ni2
    56.0, # Ni3
    60.0, # Ni3
    48.0, # Ni4
    46.0, # Cu1
    60.0, # Cu1
    77.0, # Cu1
    57.0, # Cu2
    57.0, # Cu2
    65.0, # Cu2
    73.0, # Cu2
    54.0, # Cu3
    60.0, # Zn2
    68.0, # Zn2
    74.0, # Zn2
    90.0, # Zn2
    47.0, # Ga3
    55.0, # Ga3
    62.0, # Ga3
    73.0, # Ge2
    39.0, # Ge4
    53.0, # Ge4
    58.0, # As3
    33.5, # As5
    46.0, # As5
    198.0, # Se-2
    50.0, # Se4
    28.0, # Se6
    42.0, # Se6
    196.0, # Br-1
    59.0, # Br3
    31.0, # Br5
    25.0, # Br7
    39.0, # Br7
    163.0, # Rb1
    152.0, # Rb1
    156.0, # Rb1
    161.0, # Rb1
    166.0, # Rb1
    169.0, # Rb1
    172.0, # Rb1
    183.0, # Rb1
    131.0, # Sr2
    118.0, # Sr2
    121.0, # Sr2
    126.0, # Sr2
    136.0, # Sr2
    144.0, # Sr2
    107.5, # Y3
    90.0, # Y3
    96.0, # Y3
    101.9, # Y3
    59.0, # Zr4
    89.0, # Zr4
    66.0, # Zr4
    72.0, # Zr4
    78.0, # Zr4
    84.0, # Zr4
    72.0, # Nb3
    68.0, # Nb4
    79.0, # Nb4
    48.0, # Nb5
    64.0, # Nb5
    69.0, # Nb5
    74.0, # Nb5
    69.0, # Mo3
    65.0, # Mo4
    46.0, # Mo5
    61.0, # Mo5
    41.0, # Mo6
    50.0, # Mo6
    59.0, # Mo6
    73.0, # Mo6
    64.5, # Tc4
    60.0, # Tc5
    37.0, # Tc7
    56.0, # Tc7
    68.0, # Ru3
    62.0, # Ru4
    56.5, # Ru5
    38.0, # Ru7
    36.0, # Ru8
    66.5, # Rh3
    60.0, # Rh4
    55.0, # Rh5
    59.0, # Pd1
    64.0, # Pd2
    86.0, # Pd2
    76.0, # Pd3
    61.5, # Pd4
    67.0, # Ag1
    100.0, # Ag1
    102.0, # Ag1
    109.0, # Ag1
    115.0, # Ag1
    122.0, # Ag1
    128.0, # Ag1
    79.0, # Ag2
    94.0, # Ag2
    67.0, # Ag3
    75.0, # Ag3
    78.0, # Cd2
    87.0, # Cd2
    95.0, # Cd2
    103.0, # Cd2
    110.0, # Cd2
    131.0, # Cd2
    62.0, # In3
    80.0, # In3
    92.0, # In3
    55.0, # Sn4
    62.0, # Sn4
    69.0, # Sn4
    75.0, # Sn4
    81.0, # Sn4
    76.0, # Sb3
    80.0, # Sb3
    76.0, # Sb3
    60.0, # Sb5
    221.0, # Te-2
    52.0, # Te4
    66.0, # Te4
    97.0, # Te4
    43.0, # Te6
    56.0, # Te6
    220.0, # I-1
    44.0, # I5
    95.0, # I5
    42.0, # I7
    53.0, # I7
    40.0, # Xe8
    48.0, # Xe8
    178.0, # Cs1
    167.0, # Cs1
    174.0, # Cs1
    181.0, # Cs1
    185.0, # Cs1
    188.0, # Cs1
    147.0, # Ba2
    135.0, # Ba2
    138.0, # Ba2
    142.0, # Ba2
    152.0, # Ba2
    157.0, # Ba2
    161.0, # Ba2
    121.6, # La3
    103.2, # La3
    110.0, # La3
    116.0, # La3
    127.0, # La3
    136.0, # La3
    119.6, # Ce3
    101.0, # Ce3
    107.0, # Ce3
    114.3, # Ce3
    125.0, # Ce3
    134.0, # Ce3
    87.0, # Ce4
    97.0, # Ce4
    97.0, # Ce4
    114.0, # Ce4
    117.9, # Pr3
    99.0, # Pr3
    112.6, # Pr3
    85.0, # Pr4
    96.0, # Pr4
    135.0, # Nd2
    129.0, # Nd2
    116.3, # Nd3
    98.3, # Nd3
    110.9, # Nd3
    127.0, # Nd3
    114.4, # Pm3
    97.0, # Pm3
    109.3, # Pm3
    132.0, # Sm2
    122.0, # Sm2
    127.0, # Sm2
    113.2, # Sm3
    95.8, # Sm3
    102.0, # Sm3
    107.9, # Sm3
    124.0, # Sm3
    130.0, # Eu2
    117.0, # Eu2
    120.0, # Eu2
    125.0, # Eu2
    135.0, # Eu2
    112.0, # Eu3
    94.7, # Eu3
    101.0, # Eu3
    106.6, # Eu3
    110.7, # Gd3
    93.8, # Gd3
    100.0, # Gd3
    105.3, # Gd3
    109.5, # Tb3
    92.3, # Tb3
    98.0, # Tb3
    104.0, # Tb3
    76.0, # Tb4
    88.0, # Tb4
    107.0, # Dy2
    113.0, # Dy2
    119.0, # Dy2
    108.3, # Dy3
    91.2, # Dy3
    97.0, # Dy3
    102.7, # Dy3
    107.2, # Ho3
    90.1, # Ho3
    101.5, # Ho3
    112.0, # Ho3
    106.2, # Er3
    89.0, # Er3
    94.5, # Er3
    100.4, # Er3
    103.0, # Tm2
    109.0, # Tm2
    105.2, # Tm3
    88.0, # Tm3
    99.4, # Tm3
    102.0, # Yb2
    108.0, # Yb2
    114.0, # Yb2
    104.2, # Yb3
    86.8, # Yb3
    92.5, # Yb3
    98.5, # Yb3
    103.2, # Lu3
    86.1, # Lu3
    97.7, # Lu3
    58.0, # Hf4
    71.0, # Hf4
    76.0, # Hf4
    83.0, # Hf4
    72.0, # Ta3
    68.0, # Ta4
    64.0, # Ta5
    69.0, # Ta5
    74.0, # Ta5
    66.0, # W4
    62.0, # W5
    42.0, # W6
    51.0, # W6
    60.0, # W6
    63.0, # Re4
    58.0, # Re5
    55.0, # Re6
    38.0, # Re7
    53.0, # Re7
    63.0, # Os4
    57.5, # Os5
    49.0, # Os6
    54.5, # Os6
    52.5, # Os7
    39.0, # Os8
    68.0, # Ir3
    62.5, # Ir4
    57.0, # Ir5
    60.0, # Pt2
    80.0, # Pt2
    62.5, # Pt4
    57.0, # Pt5
    137.0, # Au1
    68.0, # Au3
    85.0, # Au3
    57.0, # Au5
    97.0, # Hg1
    119.0, # Hg1
    69.0, # Hg2
    96.0, # Hg2
    102.0, # Hg2
    114.0, # Hg2
    150.0, # Tl1
    159.0, # Tl1
    170.0, # Tl1
    75.0, # Tl3
    88.5, # Tl3
    98.0, # Tl3
    98.0, # Pb2
    135.0, # Pb2
    119.0, # Pb2
    123.0, # Pb2
    129.0, # Pb2
    140.0, # Pb2
    145.0, # Pb2
    149.0, # Pb2
    65.0, # Pb4
    73.0, # Pb4
    77.5, # Pb4
    94.0, # Pb4
    96.0, # Bi3
    103.0, # Bi3
    117.0, # Bi3
    76.0, # Bi5
    94.0, # Po4
    108.0, # Po4
    67.0, # Po6
    62.0, # At7
    180.0, # Fr1
    148.0, # Ra2
    170.0, # Ra2
    122.0, # Ac3
    112.0, # Ac3
    120.9, # Th3
    109.0, # Th4
    94.0, # Th4
    105.0, # Th4
    113.0, # Th4
    118.0, # Th4
    121.0, # Th4
    119.9, # Pa3
    104.0, # Pa3
    90.0, # Pa4
    101.0, # Pa4
    95.0, # Pa5
    78.0, # Pa5
    91.0, # Pa5
    118.9, # U3
    102.5, # U3
    105.0, # U4
    89.0, # U4
    95.0, # U4
    100.0, # U4
    117.0, # U4
    76.0, # U5
    84.0, # U5
    45.0, # U6
    52.0, # U6
    73.0, # U6
    81.0, # U6
    86.0, # U6
    110.0, # Np2
    117.8, # Np3
    101.0, # Np3
    87.0, # Np4
    98.0, # Np4
    75.0, # Np5
    72.0, # Np6
    71.0, # Np7
    116.8, # Pu3
    100.0, # Pu3
    86.0, # Pu4
    96.0, # Pu4
    74.0, # Pu5
    71.0, # Pu6
    131.0, # Am2
    121.0, # Am2
    126.0, # Am2
    115.7, # Am3
    97.5, # Am3
    109.0, # Am3
    85.0, # Am4
    95.0, # Am4
    114.7, # Cm3
    97.0, # Cm3
    85.0, # Cm4
    95.0, # Cm4
    113.7, # Bk3
    96.0, # Bk3
    83.0, # Bk4
    93.0, # Bk4
    112.6, # Cf3
    95.0, # Cf3
    82.1, # Cf4
    92.0, # Cf4
    111.6, # Es3
    110.5, # Fm3
    109.5, # Md3
    110.0, # No2
    108.5, # No3
    107.4, # Lr3
    ],
    most_reliable = [
    0, # H1
    0, # H1
    1, # Li1
    1, # Li1
    0, # Li1
    0, # Be2
    1, # Be2
    0, # Be2
    1, # B3
    1, # B3
    0, # B3
    0, # C4
    0, # C4
    0, # C4
    0, # N-3
    0, # N3
    0, # N5
    0, # N5
    0, # O-2
    0, # O-2
    0, # O-2
    0, # O-2
    0, # O-2
    0, # F-1
    0, # F-1
    0, # F-1
    0, # F-1
    0, # F7
    0, # Na1
    0, # Na1
    0, # Na1
    0, # Na1
    0, # Na1
    0, # Na1
    0, # Na1
    0, # Mg2
    0, # Mg2
    1, # Mg2
    0, # Mg2
    1, # Al3
    0, # Al3
    1, # Al3
    1, # Si4
    1, # Si4
    0, # P3
    1, # P5
    0, # P5
    0, # P5
    0, # S-2
    0, # S4
    1, # S6
    0, # S6
    0, # Cl-1
    0, # Cl5
    1, # Cl7
    0, # Cl7
    0, # K1
    0, # K1
    0, # K1
    0, # K1
    0, # K1
    0, # K1
    0, # K1
    0, # Ca2
    0, # Ca2
    1, # Ca2
    1, # Ca2
    0, # Ca2
    0, # Ca2
    1, # Sc3
    1, # Sc3
    0, # Ti2
    1, # Ti3
    0, # Ti4
    0, # Ti4
    1, # Ti4
    0, # Ti4
    0, # V2
    1, # V3
    0, # V4
    1, # V4
    0, # V4
    1, # V5
    1, # V5
    0, # V5
    0, # Cr2
    0, # Cr2
    1, # Cr3
    0, # Cr4
    0, # Cr4
    0, # Cr5
    0, # Cr5
    0, # Cr5
    0, # Cr6
    0, # Cr6
    0, # Mn2
    0, # Mn2
    0, # Mn2
    1, # Mn2
    0, # Mn2
    0, # Mn2
    0, # Mn3
    0, # Mn3
    1, # Mn3
    0, # Mn4
    1, # Mn4
    0, # Mn5
    0, # Mn6
    0, # Mn7
    0, # Mn7
    0, # Fe2
    0, # Fe2
    0, # Fe2
    1, # Fe2
    0, # Fe2
    1, # Fe3
    0, # Fe3
    0, # Fe3
    1, # Fe3
    0, # Fe3
    0, # Fe4
    0, # Fe6
    0, # Co2
    0, # Co2
    0, # Co2
    1, # Co2
    0, # Co2
    1, # Co3
    0, # Co3
    0, # Co4
    0, # Co4
    0, # Ni2
    0, # Ni2
    0, # Ni2
    1, # Ni2
    1, # Ni3
    0, # Ni3
    0, # Ni4
    0, # Cu1
    0, # Cu1
    0, # Cu1
    0, # Cu2
    1, # Cu2
    1, # Cu2
    0, # Cu2
    0, # Cu3
    1, # Zn2
    1, # Zn2
    1, # Zn2
    0, # Zn2
    1, # Ga3
    0, # Ga3
    1, # Ga3
    0, # Ge2
    1, # Ge4
    1, # Ge4
    0, # As3
    1, # As5
    1, # As5
    0, # Se-2
    0, # Se4
    1, # Se6
    0, # Se6
    0, # Br-1
    0, # Br3
    0, # Br5
    0, # Br7
    0, # Br7
    0, # Rb1
    0, # Rb1
    0, # Rb1
    0, # Rb1
    0, # Rb1
    0, # Rb1
    0, # Rb1
    0, # Rb1
    0, # Sr2
    0, # Sr2
    0, # Sr2
    0, # Sr2
    0, # Sr2
    0, # Sr2
    0, # Y3
    1, # Y3
    0, # Y3
    1, # Y3
    0, # Zr4
    0, # Zr4
    0, # Zr4
    1, # Zr4
    1, # Zr4
    1, # Zr4
    0, # Nb3
    0, # Nb4
    0, # Nb4
    0, # Nb5
    0, # Nb5
    0, # Nb5
    0, # Nb5
    0, # Mo3
    0, # Mo4
    0, # Mo5
    0, # Mo5
    1, # Mo6
    0, # Mo6
    1, # Mo6
    0, # Mo6
    0, # Tc4
    0, # Tc5
    0, # Tc7
    0, # Tc7
    0, # Ru3
    0, # Ru4
    0, # Ru5
    0, # Ru7
    0, # Ru8
    0, # Rh3
    0, # Rh4
    0, # Rh5
    0, # Pd1
    0, # Pd2
    0, # Pd2
    0, # Pd3
    0, # Pd4
    0, # Ag1
    0, # Ag1
    0, # Ag1
    0, # Ag1
    0, # Ag1
    0, # Ag1
    0, # Ag1
    0, # Ag2
    0, # Ag2
    0, # Ag3
    0, # Ag3
    0, # Cd2
    0, # Cd2
    0, # Cd2
    0, # Cd2
    0, # Cd2
    0, # Cd2
    0, # In3
    1, # In3
    0, # In3
    0, # Sn4
    0, # Sn4
    1, # Sn4
    0, # Sn4
    0, # Sn4
    0, # Sb3
    0, # Sb3
    0, # Sb3
    1, # Sb5
    0, # Te-2
    0, # Te4
    0, # Te4
    0, # Te4
    0, # Te6
    1, # Te6
    0, # I-1
    1, # I5
    0, # I5
    0, # I7
    0, # I7
    0, # Xe8
    0, # Xe8
    0, # Cs1
    0, # Cs1
    0, # Cs1
    0, # Cs1
    0, # Cs1
    0, # Cs1
    0, # Ba2
    0, # Ba2
    0, # Ba2
    0, # Ba2
    0, # Ba2
    0, # Ba2
    0, # Ba2
    0, # La3
    0, # La3
    0, # La3
    0, # La3
    0, # La3
    0, # La3
    0, # Ce3
    0, # Ce3
    0, # Ce3
    0, # Ce3
    0, # Ce3
    0, # Ce3
    0, # Ce4
    0, # Ce4
    0, # Ce4
    0, # Ce4
    0, # Pr3
    0, # Pr3
    0, # Pr3
    0, # Pr4
    0, # Pr4
    0, # Nd2
    0, # Nd2
    0, # Nd3
    0, # Nd3
    1, # Nd3
    0, # Nd3
    0, # Pm3
    0, # Pm3
    0, # Pm3
    0, # Sm2
    0, # Sm2
    0, # Sm2
    0, # Sm3
    0, # Sm3
    0, # Sm3
    0, # Sm3
    0, # Sm3
    0, # Eu2
    0, # Eu2
    0, # Eu2
    0, # Eu2
    0, # Eu2
    0, # Eu3
    0, # Eu3
    0, # Eu3
    0, # Eu3
    0, # Gd3
    0, # Gd3
    0, # Gd3
    0, # Gd3
    0, # Tb3
    0, # Tb3
    0, # Tb3
    0, # Tb3
    0, # Tb4
    0, # Tb4
    0, # Dy2
    0, # Dy2
    0, # Dy2
    0, # Dy3
    0, # Dy3
    0, # Dy3
    0, # Dy3
    0, # Ho3
    0, # Ho3
    0, # Ho3
    0, # Ho3
    0, # Er3
    0, # Er3
    0, # Er3
    0, # Er3
    0, # Tm2
    0, # Tm2
    0, # Tm3
    0, # Tm3
    0, # Tm3
    0, # Yb2
    0, # Yb2
    0, # Yb2
    0, # Yb3
    1, # Yb3
    0, # Yb3
    0, # Yb3
    0, # Lu3
    0, # Lu3
    0, # Lu3
    0, # Hf4
    0, # Hf4
    0, # Hf4
    0, # Hf4
    0, # Ta3
    0, # Ta4
    0, # Ta5
    0, # Ta5
    0, # Ta5
    0, # W4
    0, # W5
    1, # W6
    0, # W6
    1, # W6
    0, # Re4
    0, # Re5
    0, # Re6
    0, # Re7
    0, # Re7
    0, # Os4
    0, # Os5
    0, # Os6
    0, # Os6
    0, # Os7
    0, # Os8
    0, # Ir3
    0, # Ir4
    0, # Ir5
    0, # Pt2
    0, # Pt2
    0, # Pt4
    0, # Pt5
    0, # Au1
    0, # Au3
    0, # Au3
    0, # Au5
    0, # Hg1
    0, # Hg1
    0, # Hg2
    0, # Hg2
    0, # Hg2
    0, # Hg2
    0, # Tl1
    0, # Tl1
    0, # Tl1
    0, # Tl3
    0, # Tl3
    0, # Tl3
    0, # Pb2
    0, # Pb2
    0, # Pb2
    0, # Pb2
    0, # Pb2
    0, # Pb2
    0, # Pb2
    0, # Pb2
    0, # Pb4
    0, # Pb4
    0, # Pb4
    0, # Pb4
    0, # Bi3
    1, # Bi3
    0, # Bi3
    0, # Bi5
    0, # Po4
    0, # Po4
    0, # Po6
    0, # At7
    0, # Fr1
    0, # Ra2
    0, # Ra2
    missing, # Ac3
    0, # Ac3
    missing, # Th3
    1, # Th4
    0, # Th4
    0, # Th4
    0, # Th4
    0, # Th4
    0, # Th4
    missing, # Pa3
    0, # Pa3
    0, # Pa4
    0, # Pa4
    0, # Pa5
    0, # Pa5
    0, # Pa5
    missing, # U3
    0, # U3
    0, # U4
    0, # U4
    0, # U4
    1, # U4
    0, # U4
    0, # U5
    0, # U5
    0, # U6
    0, # U6
    1, # U6
    0, # U6
    0, # U6
    0, # Np2
    missing, # Np3
    0, # Np3
    0, # Np4
    0, # Np4
    0, # Np5
    0, # Np6
    0, # Np7
    missing, # Pu3
    0, # Pu3
    0, # Pu4
    0, # Pu4
    0, # Pu5
    0, # Pu6
    0, # Am2
    0, # Am2
    0, # Am2
    missing, # Am3
    0, # Am3
    0, # Am3
    0, # Am4
    0, # Am4
    missing, # Cm3
    0, # Cm3
    0, # Cm4
    0, # Cm4
    missing, # Bk3
    0, # Bk3
    0, # Bk4
    0, # Bk4
    missing, # Cf3
    0, # Cf3
    0, # Cf4
    0, # Cf4
    missing, # Es3
    missing, # Fm3
    missing, # Md3
    0, # No2
    missing, # No3
    missing, # Lr3
    ],
    origin = [
    missing, # H1
    missing, # H1
    missing, # Li1
    missing, # Li1
    "calculated, ", # Li1
    missing, # Be2
    missing, # Be2
    "calculated, ", # Be2
    missing, # B3
    missing, # B3
    "calculated, ", # B3
    missing, # C4
    "Pauling's (1960) crystal radius, ", # C4
    "Ahrens (1952) ionic radius, ", # C4
    missing, # N-3
    "Ahrens (1952) ionic radius, ", # N3
    missing, # N5
    "Ahrens (1952) ionic radius, ", # N5
    missing, # O-2
    missing, # O-2
    missing, # O-2
    missing, # O-2
    missing, # O-2
    missing, # F-1
    missing, # F-1
    missing, # F-1
    missing, # F-1
    "Ahrens (1952) ionic radius, ", # F7
    missing, # Na1
    "calculated, ", # Na1
    missing, # Na1
    missing, # Na1
    missing, # Na1
    missing, # Na1
    missing, # Na1
    missing, # Mg2
    missing, # Mg2
    missing, # Mg2
    "calculated, ", # Mg2
    missing, # Al3
    missing, # Al3
    "from r^3 vs V plots, ", # Al3
    missing, # Si4
    "from r^3 vs V plots, ", # Si4
    "Ahrens (1952) ionic radius, ", # P3
    missing, # P5
    missing, # P5
    "calculated, ", # P5
    "Pauling's (1960) crystal radius, ", # S-2
    "Ahrens (1952) ionic radius, ", # S4
    missing, # S6
    "calculated, ", # S6
    "Pauling's (1960) crystal radius, ", # Cl-1
    missing, # Cl5
    missing, # Cl7
    "Ahrens (1952) ionic radius, ", # Cl7
    missing, # K1
    missing, # K1
    missing, # K1
    missing, # K1
    missing, # K1
    missing, # K1
    missing, # K1
    missing, # Ca2
    missing, # Ca2
    missing, # Ca2
    missing, # Ca2
    "calculated, ", # Ca2
    "calculated, ", # Ca2
    "from r^3 vs V plots, ", # Sc3
    "from r^3 vs V plots, ", # Sc3
    "estimated, ", # Ti2
    "from r^3 vs V plots, ", # Ti3
    "calculated, ", # Ti4
    "calculated, ", # Ti4
    "from r^3 vs V plots, ", # Ti4
    "calculated, ", # Ti4
    missing, # V2
    "from r^3 vs V plots, ", # V3
    missing, # V4
    "from r^3 vs V plots, ", # V4
    "estimated, ", # V4
    "from r^3 vs V plots, ", # V5
    missing, # V5
    missing, # V5
    "estimated, ", # Cr2
    "from r^3 vs V plots, ", # Cr2
    "from r^3 vs V plots, ", # Cr3
    missing, # Cr4
    "from r^3 vs V plots, ", # Cr4
    "from r^3 vs V plots, ", # Cr5
    "estimated, from r^3 vs V plots, ", # Cr5
    missing, # Cr5
    missing, # Cr6
    "calculated, ", # Cr6
    missing, # Mn2
    "calculated, ", # Mn2
    "estimated, ", # Mn2
    "from r^3 vs V plots, ", # Mn2
    "calculated, ", # Mn2
    "from r^3 vs V plots, ", # Mn2
    missing, # Mn3
    "from r^3 vs V plots, ", # Mn3
    "from r^3 vs V plots, ", # Mn3
    "from r^3 vs V plots, ", # Mn4
    "from r^3 vs V plots, ", # Mn4
    "from r^3 vs V plots, ", # Mn5
    missing, # Mn6
    missing, # Mn7
    "Ahrens (1952) ionic radius, ", # Mn7
    missing, # Fe2
    missing, # Fe2
    "estimated, ", # Fe2
    "from r^3 vs V plots, ", # Fe2
    "calculated, ", # Fe2
    missing, # Fe3
    missing, # Fe3
    "from r^3 vs V plots, ", # Fe3
    "from r^3 vs V plots, ", # Fe3
    missing, # Fe3
    "from r^3 vs V plots, ", # Fe4
    "from r^3 vs V plots, ", # Fe6
    missing, # Co2
    "calculated, ", # Co2
    "from r^3 vs V plots, ", # Co2
    "from r^3 vs V plots, ", # Co2
    missing, # Co2
    "from r^3 vs V plots, ", # Co3
    missing, # Co3
    missing, # Co4
    "from r^3 vs V plots, ", # Co4
    missing, # Ni2
    missing, # Ni2
    "estimated, ", # Ni2
    "from r^3 vs V plots, ", # Ni2
    "from r^3 vs V plots, ", # Ni3
    "estimated, ", # Ni3
    "from r^3 vs V plots, ", # Ni4
    missing, # Cu1
    "estimated, ", # Cu1
    "estimated, ", # Cu1
    missing, # Cu2
    missing, # Cu2
    missing, # Cu2
    missing, # Cu2
    missing, # Cu3
    missing, # Zn2
    missing, # Zn2
    "from r^3 vs V plots, ", # Zn2
    "calculated, ", # Zn2
    missing, # Ga3
    missing, # Ga3
    "from r^3 vs V plots, ", # Ga3
    "Ahrens (1952) ionic radius, ", # Ge2
    missing, # Ge4
    "from r^3 vs V plots, ", # Ge4
    "Ahrens (1952) ionic radius, ", # As3
    "from r^3 vs V plots, ", # As5
    "calculated, ", # As5
    "Pauling's (1960) crystal radius, ", # Se-2
    "Ahrens (1952) ionic radius, ", # Se4
    missing, # Se6
    "calculated, ", # Se6
    "Pauling's (1960) crystal radius, ", # Br-1
    missing, # Br3
    missing, # Br5
    missing, # Br7
    "Ahrens (1952) ionic radius, ", # Br7
    "estimated, ", # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Sr2
    missing, # Sr2
    missing, # Sr2
    missing, # Sr2
    "calculated, ", # Sr2
    "calculated, ", # Sr2
    "from r^3 vs V plots, ", # Y3
    "from r^3 vs V plots, ", # Y3
    missing, # Y3
    "from r^3 vs V plots, ", # Y3
    "from r^3 vs V plots, ", # Zr4
    missing, # Zr4
    "calculated, ", # Zr4
    "from r^3 vs V plots, ", # Zr4
    missing, # Zr4
    missing, # Zr4
    missing, # Nb3
    "from r^3 vs V plots, estimated, ", # Nb4
    missing, # Nb4
    "calculated, ", # Nb5
    missing, # Nb5
    "calculated, ", # Nb5
    missing, # Nb5
    "estimated, ", # Mo3
    "from r^3 vs V plots, from metallic oxides, ", # Mo4
    "from r^3 vs V plots, ", # Mo5
    "from r^3 vs V plots, ", # Mo5
    "from r^3 vs V plots, ", # Mo6
    missing, # Mo6
    "from r^3 vs V plots, ", # Mo6
    missing, # Mo6
    "from r^3 vs V plots, from metallic oxides, ", # Tc4
    "estimated, from r^3 vs V plots, ", # Tc5
    missing, # Tc7
    "Ahrens (1952) ionic radius, ", # Tc7
    missing, # Ru3
    "from r^3 vs V plots, from metallic oxides, ", # Ru4
    "estimated, from r^3 vs V plots, ", # Ru5
    missing, # Ru7
    missing, # Ru8
    "from r^3 vs V plots, ", # Rh3
    "from r^3 vs V plots, from metallic oxides, ", # Rh4
    missing, # Rh5
    missing, # Pd1
    missing, # Pd2
    missing, # Pd2
    missing, # Pd3
    "from r^3 vs V plots, ", # Pd4
    missing, # Ag1
    "calculated, ", # Ag1
    missing, # Ag1
    "calculated, ", # Ag1
    "calculated, ", # Ag1
    missing, # Ag1
    missing, # Ag1
    missing, # Ag2
    missing, # Ag2
    missing, # Ag3
    "from r^3 vs V plots, ", # Ag3
    missing, # Cd2
    missing, # Cd2
    missing, # Cd2
    "calculated, ", # Cd2
    "calculated, ", # Cd2
    missing, # Cd2
    missing, # In3
    "from r^3 vs V plots, ", # In3
    "from r^3 vs V plots, calculated, ", # In3
    "from r^3 vs V plots, ", # Sn4
    "calculated, ", # Sn4
    "from r^3 vs V plots, ", # Sn4
    missing, # Sn4
    "calculated, ", # Sn4
    missing, # Sb3
    missing, # Sb3
    "Ahrens (1952) ionic radius, ", # Sb3
    missing, # Sb5
    "Pauling's (1960) crystal radius, ", # Te-2
    missing, # Te4
    missing, # Te4
    missing, # Te4
    "calculated, ", # Te6
    missing, # Te6
    "Ahrens (1952) ionic radius, ", # I-1
    missing, # I5
    missing, # I5
    missing, # I7
    missing, # I7
    missing, # Xe8
    missing, # Xe8
    missing, # Cs1
    missing, # Cs1
    missing, # Cs1
    missing, # Cs1
    missing, # Cs1
    missing, # Cs1
    missing, # Ba2
    missing, # Ba2
    "calculated, ", # Ba2
    missing, # Ba2
    missing, # Ba2
    missing, # Ba2
    "calculated, ", # Ba2
    "from r^3 vs V plots, ", # La3
    "from r^3 vs V plots, ", # La3
    missing, # La3
    "from r^3 vs V plots, ", # La3
    missing, # La3
    "calculated, ", # La3
    "from r^3 vs V plots, ", # Ce3
    "from r^3 vs V plots, ", # Ce3
    "estimated, ", # Ce3
    "from r^3 vs V plots, ", # Ce3
    missing, # Ce3
    "calculated, ", # Ce3
    "from r^3 vs V plots, ", # Ce4
    "from r^3 vs V plots, ", # Ce4
    "from r^3 vs V plots, ", # Ce4
    missing, # Ce4
    "from r^3 vs V plots, ", # Pr3
    "from r^3 vs V plots, ", # Pr3
    "from r^3 vs V plots, ", # Pr3
    "from r^3 vs V plots, ", # Pr4
    "from r^3 vs V plots, ", # Pr4
    missing, # Nd2
    missing, # Nd2
    "from r^3 vs V plots, ", # Nd3
    "from r^3 vs V plots, ", # Nd3
    "from r^3 vs V plots, ", # Nd3
    "estimated, ", # Nd3
    "from r^3 vs V plots, ", # Pm3
    "from r^3 vs V plots, ", # Pm3
    "from r^3 vs V plots, ", # Pm3
    missing, # Sm2
    missing, # Sm2
    missing, # Sm2
    "from r^3 vs V plots, ", # Sm3
    "from r^3 vs V plots, ", # Sm3
    "estimated, ", # Sm3
    "from r^3 vs V plots, ", # Sm3
    "calculated, ", # Sm3
    missing, # Eu2
    missing, # Eu2
    missing, # Eu2
    missing, # Eu2
    missing, # Eu2
    "from r^3 vs V plots, ", # Eu3
    "from r^3 vs V plots, ", # Eu3
    missing, # Eu3
    "from r^3 vs V plots, ", # Eu3
    "from r^3 vs V plots, calculated, ", # Gd3
    "from r^3 vs V plots, ", # Gd3
    missing, # Gd3
    "from r^3 vs V plots, ", # Gd3
    "from r^3 vs V plots, ", # Tb3
    "from r^3 vs V plots, ", # Tb3
    "estimated, ", # Tb3
    "from r^3 vs V plots, ", # Tb3
    "from r^3 vs V plots, ", # Tb4
    missing, # Tb4
    missing, # Dy2
    missing, # Dy2
    missing, # Dy2
    "from r^3 vs V plots, ", # Dy3
    "from r^3 vs V plots, ", # Dy3
    missing, # Dy3
    "from r^3 vs V plots, ", # Dy3
    "from r^3 vs V plots, ", # Ho3
    "from r^3 vs V plots, ", # Ho3
    "from r^3 vs V plots, ", # Ho3
    missing, # Ho3
    "from r^3 vs V plots, ", # Er3
    "from r^3 vs V plots, ", # Er3
    missing, # Er3
    "from r^3 vs V plots, ", # Er3
    missing, # Tm2
    missing, # Tm2
    "from r^3 vs V plots, ", # Tm3
    "from r^3 vs V plots, ", # Tm3
    "from r^3 vs V plots, ", # Tm3
    missing, # Yb2
    "estimated, ", # Yb2
    missing, # Yb2
    "from r^3 vs V plots, ", # Yb3
    "from r^3 vs V plots, ", # Yb3
    "estimated, ", # Yb3
    "from r^3 vs V plots, ", # Yb3
    "from r^3 vs V plots, ", # Lu3
    "from r^3 vs V plots, ", # Lu3
    "from r^3 vs V plots, ", # Lu3
    "from r^3 vs V plots, ", # Hf4
    "from r^3 vs V plots, ", # Hf4
    missing, # Hf4
    missing, # Hf4
    "estimated, ", # Ta3
    "estimated, ", # Ta4
    missing, # Ta5
    missing, # Ta5
    missing, # Ta5
    "from r^3 vs V plots, from metallic oxides, ", # W4
    "from r^3 vs V plots, ", # W5
    missing, # W6
    missing, # W6
    missing, # W6
    "from r^3 vs V plots, from metallic oxides, ", # Re4
    "estimated, ", # Re5
    "estimated, ", # Re6
    missing, # Re7
    missing, # Re7
    "from r^3 vs V plots, from metallic oxides, ", # Os4
    "estimated, ", # Os5
    missing, # Os6
    "estimated, ", # Os6
    "estimated, ", # Os7
    missing, # Os8
    "estimated, ", # Ir3
    "from r^3 vs V plots, ", # Ir4
    "estimated, from metallic oxides, ", # Ir5
    missing, # Pt2
    "Ahrens (1952) ionic radius, ", # Pt2
    "from r^3 vs V plots, ", # Pt4
    "estimated, from r^3 vs V plots, ", # Pt5
    "Ahrens (1952) ionic radius, ", # Au1
    missing, # Au3
    "Ahrens (1952) ionic radius, ", # Au3
    missing, # Au5
    missing, # Hg1
    missing, # Hg1
    missing, # Hg2
    missing, # Hg2
    missing, # Hg2
    "from r^3 vs V plots, ", # Hg2
    "from r^3 vs V plots, ", # Tl1
    "from r^3 vs V plots, ", # Tl1
    "from r^3 vs V plots, estimated, ", # Tl1
    missing, # Tl3
    "from r^3 vs V plots, ", # Tl3
    "calculated, ", # Tl3
    "calculated, ", # Pb2
    "calculated, ", # Pb2
    missing, # Pb2
    "calculated, ", # Pb2
    "calculated, ", # Pb2
    "calculated, ", # Pb2
    "calculated, ", # Pb2
    missing, # Pb2
    "estimated, ", # Pb4
    "estimated, ", # Pb4
    "from r^3 vs V plots, ", # Pb4
    "from r^3 vs V plots, ", # Pb4
    "calculated, ", # Bi3
    "from r^3 vs V plots, ", # Bi3
    "from r^3 vs V plots, ", # Bi3
    "estimated, ", # Bi5
    "from r^3 vs V plots, ", # Po4
    "from r^3 vs V plots, ", # Po4
    "Ahrens (1952) ionic radius, ", # Po6
    "Ahrens (1952) ionic radius, ", # At7
    "Ahrens (1952) ionic radius, ", # Fr1
    "from r^3 vs V plots, ", # Ra2
    "from r^3 vs V plots, ", # Ra2
    missing, # Ac3
    "from r^3 vs V plots, ", # Ac3
    missing, # Th3
    missing, # Th4
    "calculated, ", # Th4
    "from r^3 vs V plots, calculated, ", # Th4
    "estimated, ", # Th4
    "calculated, ", # Th4
    "calculated, ", # Th4
    missing, # Pa3
    "estimated, ", # Pa3
    "from r^3 vs V plots, ", # Pa4
    missing, # Pa4
    missing, # Pa5
    missing, # Pa5
    missing, # Pa5
    missing, # U3
    "from r^3 vs V plots, ", # U3
    missing, # U4
    missing, # U4
    "estimated, ", # U4
    "from r^3 vs V plots, ", # U4
    "estimated, ", # U4
    missing, # U5
    "estimated, ", # U5
    missing, # U6
    missing, # U6
    missing, # U6
    "estimated, ", # U6
    missing, # U6
    missing, # Np2
    missing, # Np3
    "from r^3 vs V plots, ", # Np3
    "from r^3 vs V plots, ", # Np4
    "from r^3 vs V plots, ", # Np4
    missing, # Np5
    "from r^3 vs V plots, ", # Np6
    "Ahrens (1952) ionic radius, ", # Np7
    missing, # Pu3
    "from r^3 vs V plots, ", # Pu3
    "from r^3 vs V plots, ", # Pu4
    missing, # Pu4
    "estimated, ", # Pu5
    "from r^3 vs V plots, ", # Pu6
    missing, # Am2
    missing, # Am2
    missing, # Am2
    missing, # Am3
    "from r^3 vs V plots, ", # Am3
    missing, # Am3
    "from r^3 vs V plots, ", # Am4
    missing, # Am4
    missing, # Cm3
    "from r^3 vs V plots, ", # Cm3
    "from r^3 vs V plots, ", # Cm4
    "from r^3 vs V plots, ", # Cm4
    missing, # Bk3
    "from r^3 vs V plots, ", # Bk3
    "from r^3 vs V plots, ", # Bk4
    "from r^3 vs V plots, ", # Bk4
    missing, # Cf3
    "from r^3 vs V plots, ", # Cf3
    "from r^3 vs V plots, ", # Cf4
    missing, # Cf4
    missing, # Es3
    missing, # Fm3
    missing, # Md3
    "estimated, ", # No2
    missing, # No3
    missing, # Lr3
    ],
    spin = [
    missing, # H1
    missing, # H1
    missing, # Li1
    missing, # Li1
    missing, # Li1
    missing, # Be2
    missing, # Be2
    missing, # Be2
    missing, # B3
    missing, # B3
    missing, # B3
    missing, # C4
    missing, # C4
    missing, # C4
    missing, # N-3
    missing, # N3
    missing, # N5
    missing, # N5
    missing, # O-2
    missing, # O-2
    missing, # O-2
    missing, # O-2
    missing, # O-2
    missing, # F-1
    missing, # F-1
    missing, # F-1
    missing, # F-1
    missing, # F7
    missing, # Na1
    missing, # Na1
    missing, # Na1
    missing, # Na1
    missing, # Na1
    missing, # Na1
    missing, # Na1
    missing, # Mg2
    missing, # Mg2
    missing, # Mg2
    missing, # Mg2
    missing, # Al3
    missing, # Al3
    missing, # Al3
    missing, # Si4
    missing, # Si4
    missing, # P3
    missing, # P5
    missing, # P5
    missing, # P5
    missing, # S-2
    missing, # S4
    missing, # S6
    missing, # S6
    missing, # Cl-1
    missing, # Cl5
    missing, # Cl7
    missing, # Cl7
    missing, # K1
    missing, # K1
    missing, # K1
    missing, # K1
    missing, # K1
    missing, # K1
    missing, # K1
    missing, # Ca2
    missing, # Ca2
    missing, # Ca2
    missing, # Ca2
    missing, # Ca2
    missing, # Ca2
    missing, # Sc3
    missing, # Sc3
    missing, # Ti2
    missing, # Ti3
    missing, # Ti4
    missing, # Ti4
    missing, # Ti4
    missing, # Ti4
    missing, # V2
    missing, # V3
    missing, # V4
    missing, # V4
    missing, # V4
    missing, # V5
    missing, # V5
    missing, # V5
    Symbol("LS"), # Cr2
    Symbol("HS"), # Cr2
    missing, # Cr3
    missing, # Cr4
    missing, # Cr4
    missing, # Cr5
    missing, # Cr5
    missing, # Cr5
    missing, # Cr6
    missing, # Cr6
    Symbol("HS"), # Mn2
    Symbol("HS"), # Mn2
    Symbol("LS"), # Mn2
    Symbol("HS"), # Mn2
    Symbol("HS"), # Mn2
    missing, # Mn2
    missing, # Mn3
    Symbol("LS"), # Mn3
    Symbol("HS"), # Mn3
    missing, # Mn4
    missing, # Mn4
    missing, # Mn5
    missing, # Mn6
    missing, # Mn7
    missing, # Mn7
    Symbol("HS"), # Fe2
    Symbol("HS"), # Fe2
    Symbol("LS"), # Fe2
    Symbol("HS"), # Fe2
    Symbol("HS"), # Fe2
    Symbol("HS"), # Fe3
    missing, # Fe3
    Symbol("LS"), # Fe3
    Symbol("HS"), # Fe3
    Symbol("HS"), # Fe3
    missing, # Fe4
    missing, # Fe6
    Symbol("HS"), # Co2
    missing, # Co2
    Symbol("LS"), # Co2
    Symbol("HS"), # Co2
    missing, # Co2
    Symbol("LS"), # Co3
    Symbol("HS"), # Co3
    missing, # Co4
    Symbol("HS"), # Co4
    missing, # Ni2
    missing, # Ni2
    missing, # Ni2
    missing, # Ni2
    Symbol("LS"), # Ni3
    Symbol("HS"), # Ni3
    Symbol("LS"), # Ni4
    missing, # Cu1
    missing, # Cu1
    missing, # Cu1
    missing, # Cu2
    missing, # Cu2
    missing, # Cu2
    missing, # Cu2
    Symbol("LS"), # Cu3
    missing, # Zn2
    missing, # Zn2
    missing, # Zn2
    missing, # Zn2
    missing, # Ga3
    missing, # Ga3
    missing, # Ga3
    missing, # Ge2
    missing, # Ge4
    missing, # Ge4
    missing, # As3
    missing, # As5
    missing, # As5
    missing, # Se-2
    missing, # Se4
    missing, # Se6
    missing, # Se6
    missing, # Br-1
    missing, # Br3
    missing, # Br5
    missing, # Br7
    missing, # Br7
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Rb1
    missing, # Sr2
    missing, # Sr2
    missing, # Sr2
    missing, # Sr2
    missing, # Sr2
    missing, # Sr2
    missing, # Y3
    missing, # Y3
    missing, # Y3
    missing, # Y3
    missing, # Zr4
    missing, # Zr4
    missing, # Zr4
    missing, # Zr4
    missing, # Zr4
    missing, # Zr4
    missing, # Nb3
    missing, # Nb4
    missing, # Nb4
    missing, # Nb5
    missing, # Nb5
    missing, # Nb5
    missing, # Nb5
    missing, # Mo3
    missing, # Mo4
    missing, # Mo5
    missing, # Mo5
    missing, # Mo6
    missing, # Mo6
    missing, # Mo6
    missing, # Mo6
    missing, # Tc4
    missing, # Tc5
    missing, # Tc7
    missing, # Tc7
    missing, # Ru3
    missing, # Ru4
    missing, # Ru5
    missing, # Ru7
    missing, # Ru8
    missing, # Rh3
    missing, # Rh4
    missing, # Rh5
    missing, # Pd1
    missing, # Pd2
    missing, # Pd2
    missing, # Pd3
    missing, # Pd4
    missing, # Ag1
    missing, # Ag1
    missing, # Ag1
    missing, # Ag1
    missing, # Ag1
    missing, # Ag1
    missing, # Ag1
    missing, # Ag2
    missing, # Ag2
    missing, # Ag3
    missing, # Ag3
    missing, # Cd2
    missing, # Cd2
    missing, # Cd2
    missing, # Cd2
    missing, # Cd2
    missing, # Cd2
    missing, # In3
    missing, # In3
    missing, # In3
    missing, # Sn4
    missing, # Sn4
    missing, # Sn4
    missing, # Sn4
    missing, # Sn4
    missing, # Sb3
    missing, # Sb3
    missing, # Sb3
    missing, # Sb5
    missing, # Te-2
    missing, # Te4
    missing, # Te4
    missing, # Te4
    missing, # Te6
    missing, # Te6
    missing, # I-1
    missing, # I5
    missing, # I5
    missing, # I7
    missing, # I7
    missing, # Xe8
    missing, # Xe8
    missing, # Cs1
    missing, # Cs1
    missing, # Cs1
    missing, # Cs1
    missing, # Cs1
    missing, # Cs1
    missing, # Ba2
    missing, # Ba2
    missing, # Ba2
    missing, # Ba2
    missing, # Ba2
    missing, # Ba2
    missing, # Ba2
    missing, # La3
    missing, # La3
    missing, # La3
    missing, # La3
    missing, # La3
    missing, # La3
    missing, # Ce3
    missing, # Ce3
    missing, # Ce3
    missing, # Ce3
    missing, # Ce3
    missing, # Ce3
    missing, # Ce4
    missing, # Ce4
    missing, # Ce4
    missing, # Ce4
    missing, # Pr3
    missing, # Pr3
    missing, # Pr3
    missing, # Pr4
    missing, # Pr4
    missing, # Nd2
    missing, # Nd2
    missing, # Nd3
    missing, # Nd3
    missing, # Nd3
    missing, # Nd3
    missing, # Pm3
    missing, # Pm3
    missing, # Pm3
    missing, # Sm2
    missing, # Sm2
    missing, # Sm2
    missing, # Sm3
    missing, # Sm3
    missing, # Sm3
    missing, # Sm3
    missing, # Sm3
    missing, # Eu2
    missing, # Eu2
    missing, # Eu2
    missing, # Eu2
    missing, # Eu2
    missing, # Eu3
    missing, # Eu3
    missing, # Eu3
    missing, # Eu3
    missing, # Gd3
    missing, # Gd3
    missing, # Gd3
    missing, # Gd3
    missing, # Tb3
    missing, # Tb3
    missing, # Tb3
    missing, # Tb3
    missing, # Tb4
    missing, # Tb4
    missing, # Dy2
    missing, # Dy2
    missing, # Dy2
    missing, # Dy3
    missing, # Dy3
    missing, # Dy3
    missing, # Dy3
    missing, # Ho3
    missing, # Ho3
    missing, # Ho3
    missing, # Ho3
    missing, # Er3
    missing, # Er3
    missing, # Er3
    missing, # Er3
    missing, # Tm2
    missing, # Tm2
    missing, # Tm3
    missing, # Tm3
    missing, # Tm3
    missing, # Yb2
    missing, # Yb2
    missing, # Yb2
    missing, # Yb3
    missing, # Yb3
    missing, # Yb3
    missing, # Yb3
    missing, # Lu3
    missing, # Lu3
    missing, # Lu3
    missing, # Hf4
    missing, # Hf4
    missing, # Hf4
    missing, # Hf4
    missing, # Ta3
    missing, # Ta4
    missing, # Ta5
    missing, # Ta5
    missing, # Ta5
    missing, # W4
    missing, # W5
    missing, # W6
    missing, # W6
    missing, # W6
    missing, # Re4
    missing, # Re5
    missing, # Re6
    missing, # Re7
    missing, # Re7
    missing, # Os4
    missing, # Os5
    missing, # Os6
    missing, # Os6
    missing, # Os7
    missing, # Os8
    missing, # Ir3
    missing, # Ir4
    missing, # Ir5
    missing, # Pt2
    missing, # Pt2
    missing, # Pt4
    missing, # Pt5
    missing, # Au1
    missing, # Au3
    missing, # Au3
    missing, # Au5
    missing, # Hg1
    missing, # Hg1
    missing, # Hg2
    missing, # Hg2
    missing, # Hg2
    missing, # Hg2
    missing, # Tl1
    missing, # Tl1
    missing, # Tl1
    missing, # Tl3
    missing, # Tl3
    missing, # Tl3
    missing, # Pb2
    missing, # Pb2
    missing, # Pb2
    missing, # Pb2
    missing, # Pb2
    missing, # Pb2
    missing, # Pb2
    missing, # Pb2
    missing, # Pb4
    missing, # Pb4
    missing, # Pb4
    missing, # Pb4
    missing, # Bi3
    missing, # Bi3
    missing, # Bi3
    missing, # Bi5
    missing, # Po4
    missing, # Po4
    missing, # Po6
    missing, # At7
    missing, # Fr1
    missing, # Ra2
    missing, # Ra2
    missing, # Ac3
    missing, # Ac3
    missing, # Th3
    missing, # Th4
    missing, # Th4
    missing, # Th4
    missing, # Th4
    missing, # Th4
    missing, # Th4
    missing, # Pa3
    missing, # Pa3
    missing, # Pa4
    missing, # Pa4
    missing, # Pa5
    missing, # Pa5
    missing, # Pa5
    missing, # U3
    missing, # U3
    missing, # U4
    missing, # U4
    missing, # U4
    missing, # U4
    missing, # U4
    missing, # U5
    missing, # U5
    missing, # U6
    missing, # U6
    missing, # U6
    missing, # U6
    missing, # U6
    missing, # Np2
    missing, # Np3
    missing, # Np3
    missing, # Np4
    missing, # Np4
    missing, # Np5
    missing, # Np6
    missing, # Np7
    missing, # Pu3
    missing, # Pu3
    missing, # Pu4
    missing, # Pu4
    missing, # Pu5
    missing, # Pu6
    missing, # Am2
    missing, # Am2
    missing, # Am2
    missing, # Am3
    missing, # Am3
    missing, # Am3
    missing, # Am4
    missing, # Am4
    missing, # Cm3
    missing, # Cm3
    missing, # Cm4
    missing, # Cm4
    missing, # Bk3
    missing, # Bk3
    missing, # Bk4
    missing, # Bk4
    missing, # Cf3
    missing, # Cf3
    missing, # Cf4
    missing, # Cf4
    missing, # Es3
    missing, # Fm3
    missing, # Md3
    missing, # No2
    missing, # No3
    missing, # Lr3
    ],
)
;
