# main oxidation states of elements
# from https://en.wikipedia.org/wiki/Oxidation_state retrieved on 2022-08-27 if not otherwise stated

const oxistates_data = Dict(
    1 => [-1, 1],
    2 => [],
    3 => [1],
    4 => [2],
    5 => [3],
    6 => [-4, 4], # C https://www.britannica.com/science/carbon-group-element/General-properties-of-the-group
    7 => [-3, 3, 5],
    8 => [-2],
    9 => [-1],
    10 => [],
    11 => [1],
    12 => [2],
    13 => [3],
    14 => [-4, 4],
    15 => [-3, 3, 5],
    16 => [-2, 2, 4, 6],
    17 => [-1, 1, 3, 5, 7],
    18 => [],
    19 => [1],
    20 => [2],
    21 => [3],
    22 => [2, 3, 4],
    23 => [2, 3, 4, 5],
    24 => [2, 3, 6],
    25 => [2, 3, 4, 6, 7],
    26 => [2, 3],
    27 => [2, 3],
    28 => [2],
    29 => [1, 2],
    30 => [2],
    31 => [3],
    32 => [-4, 2, 4],
    33 => [-3, 3, 5],
    34 => [-2, 2, 4, 6],
    35 => [-1, 1, 3, 5],
    36 => [2], # Kr is mostly inert of course, but occures in stable compounds in this oxidation state
    37 => [1],
    38 => [2],
    39 => [3],
    40 => [4],
    41 => [5],
    42 => [4, 6],
    43 => [4, 7],
    44 => [3, 4],
    45 => [3],
    46 => [2, 4],
    47 => [1],
    48 => [2],
    49 => [3],
    50 => [2, 4], # Sn https://www.britannica.com/science/carbon-group-element/General-properties-of-the-group
    51 => [-3, 3, 5],
    52 => [-2, 2, 4, 6],
    53 => [-1, 1, 3, 5, 7],
    54 => [2, 4, 6], # Xe is mostly inert of course, but occures in stable compounds in these oxidation states
    55 => [1],
    56 => [2],
    57 => [3],
    58 => [3, 4],
    59 => [3],
    60 => [3],
    61 => [3],
    62 => [3],
    63 => [2, 3],
    64 => [3],
    65 => [3],
    66 => [3],
    67 => [3],
    68 => [3],
    69 => [3],
    70 => [3],
    71 => [3],
    72 => [4],
    73 => [5],
    74 => [4, 6],
    75 => [4],
    76 => [4],
    77 => [3, 4],
    78 => [2, 4],
    79 => [3],
    80 => [1, 2],
    81 => [1, 3],
    82 => [2, 4],
    83 => [3],
    84 => [-2, 2, 4],
    85 => [-1, 1],
    86 => [2],
    87 => [1],
    88 => [2],
    89 => [3],
    90 => [4],
    91 => [5],
    92 => [4, 6],
    93 => [5],
    94 => [4],
    95 => [3],
    96 => [3],
    97 => [3],
    98 => [3],
    99 => [3],
    100 => [3],
    101 => [3],
    102 => [2],
    103 => [3],
    104 => [4],
    105 => [5],
    106 => [6],
    107 => [7],
    108 => [8],
    109 => missing,
    110 => missing,
    111 => missing,
    112 => [2],
    113 => missing,
    114 => missing,
    115 => missing,
    116 => missing,
    117 => missing,
    118 => missing,
)
